export interface PagePerformanceLog {
    entryType?: string;
    name?: string;
    startTime?: number;
    duration?: number;
    path?: string;
    navigationType?: string;
    [x: string]: any;
}
export interface AppLaunchPerformanceLog extends PagePerformanceLog {
    appLaunch: number;
}
export interface PageFirstRenderPerformanceLog extends PagePerformanceLog {
    firstScreenTiming: number;
}
export interface EvaluateScriptPerformanceLog extends PagePerformanceLog {
    scriptEvaluateTiming: number;
}
export interface PageRoutePerformanceLog extends PagePerformanceLog {
    pageRouteTiming: number;
}
