"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../common/vendor.js");
var store_index = require("../../../../../../store/index.js");
var common_assets = require("../../../../../../common/assets.js");
require("../../../../../../store/modules.js");
require("../../../../../../store/modules/timStore.js");
const Face = () => "./message/face.js";
const AudioMessage = () => "./message/audio.js";
const TUIChatInput = common_vendor.defineComponent({
  components: {
    Face,
    AudioMessage
  },
  props: {
    text: {
      type: String,
      default: () => {
        return "";
      }
    },
    conversationData: {
      type: Object,
      default: () => {
        return "";
      }
    }
  },
  setup(props) {
    const TUIServer = common_vendor.index.$TUIKit.TUIChatServer;
    const data = common_vendor.reactive({
      imType: common_vendor.computed$1(() => store_index.store.state.timStore.imType),
      orderType: common_vendor.computed$1(() => store_index.store.state.timStore.orderType),
      firstSendMessage: true,
      inputText: "",
      extensionArea: false,
      sendMessageBtn: false,
      displayFlag: "",
      isAudio: false,
      displayServiceEvaluation: false,
      displayCommonWords: false,
      displayOrderList: false,
      conversation: common_vendor.computed$1(() => store_index.store.state.timStore.conversation)
    });
    common_vendor.watchEffect(() => {
      data.inputText = props.text;
    });
    const handleSwitchAudio = () => {
      data.isAudio = !data.isAudio;
    };
    const handleEmoji = () => {
      data.displayFlag = data.displayFlag === "emoji" ? "" : "emoji";
    };
    const handleExtensions = (e) => {
      data.displayFlag = data.displayFlag === "extension" ? "" : "extension";
    };
    const handleSendTextMessage = (e) => {
      if (data.inputText.trimEnd()) {
        common_vendor.index.$TUIKit.TUIChatServer.sendTextMessage(JSON.parse(JSON.stringify(data.inputText)));
      }
      data.inputText = " ";
    };
    const handleOrder = (value) => {
      common_vendor.index.navigateTo({
        url: "/pages_order/inquiryOrderDetails?orderId=" + store_index.store.state.timStore.orderId
      });
    };
    const handleFollow = (value) => {
      common_vendor.index.navigateTo({
        url: "/pages_user/followDetails?followId=" + store_index.store.state.timStore.followId
      });
    };
    const handleStoreOrder = (value) => {
      common_vendor.index.navigateTo({
        url: "/pages_order/storeOrderDetail?orderId=" + store_index.store.state.timStore.orderId
      });
    };
    const handleSend = (emo) => {
      data.inputText += emo.name;
    };
    const handleSendImageMessage = (type) => {
      common_vendor.index.chooseImage({
        sourceType: [type],
        count: 1,
        success: (res) => {
          common_vendor.index.getImageInfo({
            src: res.tempFilePaths[0],
            success(image) {
              console.error(image);
              setTimeout(function() {
                TUIServer.sendImageMessage(res, image);
              }, 500);
            }
          });
        }
      });
    };
    const handleSendVideoMessage = (type) => {
      common_vendor.index.chooseVideo({
        sourceType: [type],
        maxDuration: 60,
        camera: "back",
        success: (res) => {
          if (res) {
            setTimeout(function() {
              TUIServer.sendVideoMessage(res);
            }, 500);
          }
        }
      });
    };
    const handleCalling = (value) => {
      if (data.conversation.type === "GROUP") {
        common_vendor.index.showToast({
          title: "\u7FA4\u804A\u6682\u4E0D\u652F\u6301",
          icon: "none"
        });
        return;
      }
      const { userID } = data.conversation.userProfile;
      if (typeof common_vendor.index.$TUICallKit !== "undefined" && common_vendor.index.$TUICallKit.value !== null) {
        console.log(common_vendor.index.$TUICallKit);
        common_vendor.index.$TUICallKit.value.call({
          userID,
          type: value
        });
      } else {
        console.error("\u8BF7\u96C6\u6210 TUICallKit \u63D2\u4EF6\u54E6\uFF5E\uFF0C\u8BF7\u53C2\u8003\u5B98\u7F51\u6587\u6863\uFF1Ahttps://cloud.tencent.com/document/product/269/83858");
        common_vendor.index.showToast({
          title: "\u8BF7\u96C6\u6210 TUICallKit \u63D2\u4EF6\u54E6 \uFF5E ",
          icon: "none",
          duration: 3e3
        });
      }
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      handleExtensions,
      handleSendImageMessage,
      handleSendTextMessage,
      handleSendVideoMessage,
      handleEmoji,
      handleSend,
      handleSwitchAudio,
      handleCalling,
      handleOrder,
      handleFollow,
      handleStoreOrder
    });
  }
});
const _sfc_main = TUIChatInput;
if (!Array) {
  const _component_AudioMessage = common_vendor.resolveComponent("AudioMessage");
  const _component_Face = common_vendor.resolveComponent("Face");
  (_component_AudioMessage + _component_Face)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o((...args) => _ctx.handleSwitchAudio && _ctx.handleSwitchAudio(...args)),
    b: common_assets._imports_0$6,
    c: !_ctx.isAudio
  }, !_ctx.isAudio ? {
    d: common_vendor.o((...args) => _ctx.handleSendTextMessage && _ctx.handleSendTextMessage(...args)),
    e: _ctx.inputText,
    f: common_vendor.o(($event) => _ctx.inputText = $event.detail.value)
  } : {}, {
    g: common_vendor.o((...args) => _ctx.handleEmoji && _ctx.handleEmoji(...args)),
    h: common_assets._imports_1$2,
    i: common_assets._imports_2$1,
    j: common_vendor.o((...args) => _ctx.handleExtensions && _ctx.handleExtensions(...args)),
    k: _ctx.displayFlag === "emoji"
  }, _ctx.displayFlag === "emoji" ? {
    l: common_vendor.o(_ctx.handleSend),
    m: common_vendor.o(_ctx.handleSendTextMessage),
    n: common_vendor.p({
      show: _ctx.displayFlag === "emoji"
    })
  } : {}, {
    o: _ctx.displayFlag === "extension"
  }, _ctx.displayFlag === "extension" ? common_vendor.e({
    p: common_assets._imports_3,
    q: common_vendor.o(($event) => _ctx.handleSendImageMessage("camera")),
    r: common_assets._imports_4,
    s: common_vendor.o(($event) => _ctx.handleSendImageMessage("album")),
    t: common_assets._imports_5,
    v: common_vendor.o(($event) => _ctx.handleSendVideoMessage("album")),
    w: common_assets._imports_3,
    x: common_vendor.o(($event) => _ctx.handleSendVideoMessage("camera")),
    y: _ctx.imType == 1 && _ctx.orderType == 2 || _ctx.imType == 2
  }, _ctx.imType == 1 && _ctx.orderType == 2 || _ctx.imType == 2 ? {
    z: common_assets._imports_6,
    A: common_vendor.o(($event) => _ctx.handleCalling(1))
  } : {}, {
    B: _ctx.imType == 1 && _ctx.orderType == 2 || _ctx.imType == 2
  }, _ctx.imType == 1 && _ctx.orderType == 2 || _ctx.imType == 2 ? {
    C: common_assets._imports_5,
    D: common_vendor.o(($event) => _ctx.handleCalling(2))
  } : {}, {
    E: _ctx.imType == 1
  }, _ctx.imType == 1 ? {
    F: common_assets._imports_7,
    G: common_vendor.o(($event) => _ctx.handleOrder())
  } : {}, {
    H: _ctx.imType == 2
  }, _ctx.imType == 2 ? {
    I: common_assets._imports_7,
    J: common_vendor.o(($event) => _ctx.handleFollow())
  } : {}, {
    K: _ctx.imType == 2
  }, _ctx.imType == 2 ? {
    L: common_assets._imports_7,
    M: common_vendor.o(($event) => _ctx.handleStoreOrder())
  } : {}) : {});
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-db1ebb70"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-input/index.vue"]]);
wx.createComponent(Component);
