"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../../common/vendor.js");
const recorderManager = common_vendor.index.getRecorderManager();
const AudioMessage = common_vendor.defineComponent({
  props: {
    show: {
      type: Boolean,
      default: () => {
        return false;
      }
    }
  },
  setup(props, ctx) {
    const data = common_vendor.reactive({
      popupToggle: false,
      isRecording: false,
      canSend: true,
      text: "\u6309\u4F4F\u8BF4\u8BDD",
      recorderManager: null,
      title: " ",
      recordTime: 0,
      recordTimer: null
    });
    common_vendor.onMounted(() => {
      recorderManager.onStop((res) => {
        clearInterval(data.recordTimer);
        let msg = {
          duration: res.duration ? res.duration : data.recordTime * 1e3,
          tempFilePath: res.tempFilePath,
          fileSize: res.fileSize ? res.fileSize : 48 * data.recordTime / 8 * 1024
        };
        common_vendor.index.hideLoading();
        if (data.canSend) {
          if (msg.duration < 1e3) {
            common_vendor.index.showToast({
              title: "\u5F55\u97F3\u65F6\u95F4\u592A\u77ED",
              icon: "none"
            });
          } else {
            common_vendor.index.$TUIKit.TUIChatServer.sendAudioMessage(msg);
          }
        }
        data.popupToggle = false;
        data.isRecording = false;
        data.canSend = true;
        data.title = " ";
        data.text = "\u6309\u4F4F\u8BF4\u8BDD";
      });
    });
    const handleLongPress = (e) => {
      data.popupToggle = true, recorderManager.start({
        duration: 6e4,
        sampleRate: 44100,
        numberOfChannels: 1,
        encodeBitRate: 192e3,
        format: "aac"
      });
      data.startPoint = e.target, data.title = "\u6B63\u5728\u5F55\u97F3", data.isRecording = true, data.recordTime = 0;
      data.recordTimer = setInterval(() => {
        data.recordTime++;
      }, 1e3);
    };
    const handleTouchMove = (e) => {
      if (data.isRecording) {
        if (e.currentTarget.offsetTop - e.changedTouches[e.changedTouches.length - 1].clientY > 100) {
          data.text = "\u62AC\u8D77\u505C\u6B62";
          data.title = "\u677E\u5F00\u624B\u6307\uFF0C\u53D6\u6D88\u53D1\u9001";
          data.canSend = false;
        } else if (e.currentTarget.offsetTop - e.changedTouches[e.changedTouches.length - 1].clientY > 20) {
          data.text = "\u62AC\u8D77\u505C\u6B62";
          data.title = "\u4E0A\u5212\u53EF\u53D6\u6D88";
          data.canSend = true;
        } else {
          data.text = "\u62AC\u8D77\u505C\u6B62";
          data.title = "\u6B63\u5728\u5F55\u97F3";
          data.canSend = true;
        }
      }
    };
    const handleTouchEnd = () => {
      data.isRecording = false;
      data.popupToggle = false;
      data.text = "\u6309\u4F4F\u8BF4\u8BDD";
      common_vendor.index.hideLoading();
      recorderManager.stop();
    };
    const sendUploadMessage = (e) => {
      Video.TUIServer.sendVideoMessage(e.target);
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      sendUploadMessage,
      handleLongPress,
      handleTouchEnd,
      handleTouchMove
    });
  }
});
const _sfc_main = AudioMessage;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.t(_ctx.text),
    b: _ctx.popupToggle
  }, _ctx.popupToggle ? {
    c: common_vendor.t(_ctx.title),
    d: common_vendor.o((...args) => _ctx.handleLongPress && _ctx.handleLongPress(...args)),
    e: common_vendor.o((...args) => _ctx.handleTouchMove && _ctx.handleTouchMove(...args)),
    f: common_vendor.o((...args) => _ctx.handleTouchEnd && _ctx.handleTouchEnd(...args))
  } : {}, {
    g: common_vendor.o((...args) => _ctx.handleLongPress && _ctx.handleLongPress(...args)),
    h: common_vendor.o((...args) => _ctx.handleTouchMove && _ctx.handleTouchMove(...args)),
    i: common_vendor.o((...args) => _ctx.handleTouchEnd && _ctx.handleTouchEnd(...args))
  });
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-3c1add44"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-input/message/audio.vue"]]);
wx.createComponent(Component);
