"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../common/vendor.js");
var store_index = require("../../../../store/index.js");
var pages_TUIKit_utils_untis = require("../../utils/untis.js");
var pages_TUIKit_utils_date = require("../../utils/date.js");
var pages_TUIKit_TUICore_server_chat_index = require("../../TUICore/server/chat/index.js");
require("../../../../store/modules.js");
require("../../../../store/modules/timStore.js");
require("../../utils/decodeText.js");
require("../../utils/emojiMap.js");
require("../../TUICore/server/IComponentServer.js");
const MessageBubble = () => "./components/message-elements/message-bubble.js";
const MessageText = () => "./components/message-elements/message-text.js";
const MessageImage = () => "./components/message-elements/message-image.js";
const MessageOperate = () => "./components/message-elements/message-operate.js";
const MessageVideo = () => "./components/message-elements/message-video.js";
const MessageAudio = () => "./components/message-elements/message-audio.js";
const MessageFace = () => "./components/message-elements/message-face.js";
const MessageCustom = () => "./components/message-elements/message-custom.js";
const MessageTip = () => "./components/message-elements/message-tip.js";
const MessageRevoked = () => "./components/message-elements/message-revoked.js";
const MessageSystem = () => "./components/message-elements/message-system.js";
const TUIChatInput = () => "./components/message-input/index.js";
const _sfc_main = common_vendor.defineComponent({
  name: "TUIChat",
  components: {
    MessageText,
    MessageImage,
    MessageVideo,
    MessageAudio,
    MessageFace,
    MessageCustom,
    MessageBubble,
    MessageTip,
    MessageRevoked,
    MessageSystem,
    TUIChatInput,
    MessageOperate
  },
  setup(props) {
    const timStore = store_index.store.state.timStore;
    common_vendor.index.$TUIKit.TUIChatServer = new pages_TUIKit_TUICore_server_chat_index.TUIChatServer();
    const TUICallKit = common_vendor.shallowRef(null);
    const TUIServer = common_vendor.index.$TUIKit.TUIChatServer;
    const left = 0;
    const right = 0;
    const defaultDialogPosition = {
      top: -70,
      left,
      right
    };
    const data = common_vendor.reactive({
      messageList: common_vendor.computed$1(() => timStore.messageList),
      conversation: common_vendor.computed$1(() => timStore.conversation),
      triggered: false,
      scrollTop: 999,
      text: "",
      types: common_vendor.index.$TIM.TYPES,
      currentMessage: {},
      dialogID: "",
      forwardStatus: false,
      imageFlag: false,
      isCompleted: false,
      oldMessageTime: 0,
      dialogPosition: defaultDialogPosition,
      imType: common_vendor.computed$1(() => timStore.imType),
      orderId: common_vendor.computed$1(() => timStore.orderId)
    });
    const conversationType = common_vendor.computed$1(() => {
      const conversation = data.conversation;
      if (!(conversation == null ? void 0 : conversation.conversationID)) {
        return "";
      }
      if ((conversation == null ? void 0 : conversation.type) === common_vendor.index.$TIM.TYPES.CONV_SYSTEM) {
        return "system";
      }
      return "chat";
    });
    const messages = common_vendor.computed$1(() => {
      if (data.messageList.length > 0) {
        data.oldMessageTime = data.messageList[0].time;
        return data.messageList.filter((item) => {
          return !item.isDeleted;
        });
      }
    });
    common_vendor.onLoad((options) => {
      common_vendor.index.setNavigationBarTitle({
        title: options && options.conversationName
      });
      if (store_index.store.state.timStore.imType == 1)
        ;
      else if (store_index.store.state.timStore.imType == 2)
        ;
    });
    common_vendor.onUnload(() => {
      common_vendor.index.$TUICallKit.value !== null && common_vendor.index.$TUICallKit.value.destroyed();
      TUIServer.destroyed();
    });
    common_vendor.watch(messages, (newVal, oldVal) => {
      common_vendor.nextTick(() => {
        const newLastMessage = newVal[newVal.length - 1];
        const oldLastMessage = oldVal ? oldVal[oldVal.length - 1] : {};
        data.oldMessageTime = messages.value[0].time;
        handleShowTime();
        if (oldVal && newLastMessage.ID !== oldLastMessage.ID) {
          handleScrollBottom();
        }
      });
    });
    common_vendor.onReady(() => {
      const options = {
        sdkAppID: common_vendor.index.$chat_SDKAppID,
        userID: common_vendor.index.$chat_userID,
        userSig: common_vendor.index.$chat_userSig,
        tim: common_vendor.index.$TUIKit
      };
      common_vendor.index.$TUICallKit = TUICallKit;
      common_vendor.nextTick(() => {
        common_vendor.index.$TUICallKit.value !== null && common_vendor.index.$TUICallKit.value.init(options);
      });
      setTimeout(() => {
        handleScrollBottom();
      }, 500);
    });
    common_vendor.onMounted(() => {
      handleShowTime();
      setTimeout(function() {
        common_vendor.index.$TUIKit.TUIConversationServer.setMessageRead(data.conversation.conversationID);
        common_vendor.index.$emit("refreshMsgCount");
      }, 2e3);
    });
    common_vendor.onNavigationBarButtonTap(() => {
      var _a;
      if (((_a = data.conversation) == null ? void 0 : _a.type) === common_vendor.index.$TIM.TYPES.CONV_GROUP) {
        common_vendor.index.navigateTo({
          url: "../TUIGroup/index"
        });
      } else {
        common_vendor.index.showToast({
          title: "\u6682\u65E0\u4FE1\u606F"
        });
      }
    });
    const handleGetProfile = () => {
      common_vendor.index.navigateTo({
        url: "../TUIGroup/index"
      });
    };
    const handleShowTime = () => {
      if (messages.value) {
        Array.from(messages.value).forEach((item) => {
          if (item.time - data.oldMessageTime > 5 * 60) {
            data.oldMessageTime = item.time;
            item.showTime = true;
          } else {
            item.showTime = false;
          }
        });
      }
    };
    const handleScrollBottom = () => {
      common_vendor.index.createSelectorQuery().select(".TUI-message-list").boundingClientRect((res) => {
        const scrollH = res.height;
        data.scrollTop = scrollH;
      }).exec();
    };
    const handleCustomerItem = (event, item) => {
      if (item.payload.data == "order") {
        common_vendor.index.navigateTo({
          url: "/pages_order/inquiryOrderDetails?orderId=" + item.payload.description
        });
      } else if (item.payload.data == "prescribe") {
        var prescribe = JSON.parse(item.payload.extension);
        common_vendor.index.navigateTo({
          url: "/pages_order/prescribeDetails?prescribeId=" + prescribe.prescribeId
        });
      } else if (item.payload.data == "follow") {
        var follow = JSON.parse(item.payload.extension);
        console.log(follow);
        if (follow.writeStatus == 0) {
          common_vendor.index.navigateTo({
            url: "/pages_user/doFollow?followId=" + follow.followId
          });
        } else if (follow.writeStatus == 1) {
          common_vendor.index.navigateTo({
            url: "/pages_user/followDetails?followId=" + follow.followId
          });
        }
      } else if (item.payload.data == "report") {
        common_vendor.index.navigateTo({
          url: "/pages_order/inquiryOrderReport?orderId=" + item.payload.description
        });
      } else if (item.payload.data == "drugReport") {
        common_vendor.index.navigateTo({
          url: "/pages_user/drugReportDetails?reportId=" + item.payload.description
        });
      }
    };
    const handleScroll = (e) => {
      data.triggered = "restore";
    };
    const handleRefresher = () => {
      data.triggered = true;
      if (!data.isCompleted) {
        TUIServer.getHistoryMessageList().then((res) => {
          data.triggered = false;
          data.isCompleted = res.isCompleted;
        });
      }
      setTimeout(() => {
        data.triggered = false;
      }, 500);
    };
    const handleSend = (emo) => {
      data.text += emo.name;
    };
    const handleItem = (event, item) => {
      const { flow } = item;
      try {
        const query = common_vendor.index.createSelectorQuery();
        query.select(`#${item.flow + "-" + item.ID}`).boundingClientRect((res) => {
          var _a;
          const { top } = res;
          if (top < 60 + 20) {
            data.dialogPosition = __spreadProps(__spreadValues({}, data.dialogPosition), {
              top: ((_a = res.height) == null ? void 0 : _a.res) + 10
            });
            data.dialogPosition = __spreadProps(__spreadValues({}, data.dialogPosition), {
              right: flow === "out" ? 0 : null,
              left: flow === "in" ? 0 : null
            });
          } else {
            data.dialogPosition = __spreadProps(__spreadValues({}, defaultDialogPosition), {
              right: flow === "out" ? 0 : null,
              left: flow === "in" ? 0 : null
            });
          }
        }).exec((res) => {
          data.currentMessage = item;
          data.dialogID = item.ID;
        });
      } catch (error) {
        data.currentMessage = item;
        data.dialogID = item.ID;
      }
    };
    const handleTouchStart = () => {
      common_vendor.index.hideKeyboard();
    };
    const handleEdit = (item) => {
      data.text = item.payload.text;
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      TUICallKit,
      conversationType,
      messages,
      handleShowTime,
      handleTouchStart,
      handleRefresher,
      handleScroll,
      handleScrollBottom,
      handleCustomerItem,
      handleItem,
      handleEdit,
      handleTextMessageShowContext: pages_TUIKit_utils_untis.handleTextMessageShowContext,
      handleImageMessageShowContext: pages_TUIKit_utils_untis.handleImageMessageShowContext,
      handleVideoMessageShowContext: pages_TUIKit_utils_untis.handleVideoMessageShowContext,
      handleAudioMessageShowContext: pages_TUIKit_utils_untis.handleAudioMessageShowContext,
      handleFileMessageShowContext: pages_TUIKit_utils_untis.handleFileMessageShowContext,
      handleFaceMessageShowContext: pages_TUIKit_utils_untis.handleFaceMessageShowContext,
      handleLocationMessageShowContext: pages_TUIKit_utils_untis.handleLocationMessageShowContext,
      handleMergerMessageShowContext: pages_TUIKit_utils_untis.handleMergerMessageShowContext,
      handleTipMessageShowContext: pages_TUIKit_utils_untis.handleTipMessageShowContext,
      handleCustomMessageShowContext: pages_TUIKit_utils_untis.handleCustomMessageShowContext,
      handleSend,
      caculateTimeago: pages_TUIKit_utils_date.caculateTimeago,
      handleGetProfile
    });
  }
});
if (!Array) {
  const _component_tuicallkit = common_vendor.resolveComponent("tuicallkit");
  const _component_MessageTip = common_vendor.resolveComponent("MessageTip");
  const _component_Message_Operate = common_vendor.resolveComponent("Message-Operate");
  const _component_MessageText = common_vendor.resolveComponent("MessageText");
  const _component_MessageImage = common_vendor.resolveComponent("MessageImage");
  const _component_MessageVideo = common_vendor.resolveComponent("MessageVideo");
  const _component_MessageAudio = common_vendor.resolveComponent("MessageAudio");
  const _component_MessageFace = common_vendor.resolveComponent("MessageFace");
  const _component_MessageCustom = common_vendor.resolveComponent("MessageCustom");
  const _component_MessageBubble = common_vendor.resolveComponent("MessageBubble");
  const _component_MessageRevoked = common_vendor.resolveComponent("MessageRevoked");
  const _component_TUIChatInput = common_vendor.resolveComponent("TUIChatInput");
  const _component_MessageSystem = common_vendor.resolveComponent("MessageSystem");
  (_component_tuicallkit + _component_MessageTip + _component_Message_Operate + _component_MessageText + _component_MessageImage + _component_MessageVideo + _component_MessageAudio + _component_MessageFace + _component_MessageCustom + _component_MessageBubble + _component_MessageRevoked + _component_TUIChatInput + _component_MessageSystem)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  var _a, _b;
  return common_vendor.e({
    a: common_vendor.sr("TUICallKit", "60ca92f0-0"),
    b: _ctx.conversationType === "chat"
  }, _ctx.conversationType === "chat" ? common_vendor.e({
    c: ((_a = _ctx.conversation) == null ? void 0 : _a.type) === "GROUP"
  }, ((_b = _ctx.conversation) == null ? void 0 : _b.type) === "GROUP" ? {
    d: common_vendor.o((...args) => _ctx.handleGetProfile && _ctx.handleGetProfile(...args))
  } : {}, {
    e: _ctx.isCompleted
  }, _ctx.isCompleted ? {} : {}, {
    f: common_vendor.f(_ctx.messages, (item, index, i0) => {
      return common_vendor.e({
        a: item.showTime
      }, item.showTime ? {
        b: common_vendor.t(_ctx.caculateTimeago(item.time * 1e3))
      } : {}, {
        c: !item.isRevoked && item.type === _ctx.types.MSG_GRP_TIP
      }, !item.isRevoked && item.type === _ctx.types.MSG_GRP_TIP ? {
        d: "60ca92f0-1-" + i0,
        e: common_vendor.p({
          data: _ctx.handleTipMessageShowContext(item)
        })
      } : {}, {
        f: !item.isRevoked && item.type !== _ctx.types.MSG_GRP_TIP
      }, !item.isRevoked && item.type !== _ctx.types.MSG_GRP_TIP ? common_vendor.e({
        g: _ctx.dialogID === item.ID
      }, _ctx.dialogID === item.ID ? {
        h: _ctx.dialogPosition.top + "px",
        i: _ctx.dialogPosition.right + "px",
        j: _ctx.dialogPosition.left + "px",
        k: "60ca92f0-3-" + i0 + "," + ("60ca92f0-2-" + i0),
        l: common_vendor.p({
          data: item
        })
      } : {}, {
        m: item.type === _ctx.types.MSG_TEXT
      }, item.type === _ctx.types.MSG_TEXT ? {
        n: item.flow + "-" + item.ID,
        o: common_vendor.o(($event) => _ctx.handleItem($event, item)),
        p: "60ca92f0-4-" + i0 + "," + ("60ca92f0-2-" + i0),
        q: common_vendor.p({
          id: item.flow + "-" + item.ID,
          data: _ctx.handleTextMessageShowContext(item),
          messageData: item
        })
      } : {}, {
        r: item.type === _ctx.types.MSG_IMAGE
      }, item.type === _ctx.types.MSG_IMAGE ? {
        s: item.flow + "-" + item.ID,
        t: common_vendor.o(($event) => _ctx.handleItem($event, item)),
        v: "60ca92f0-5-" + i0 + "," + ("60ca92f0-2-" + i0),
        w: common_vendor.p({
          id: item.flow + "-" + item.ID,
          data: _ctx.handleImageMessageShowContext(item),
          messageData: item
        })
      } : {}, {
        x: item.type === _ctx.types.MSG_VIDEO
      }, item.type === _ctx.types.MSG_VIDEO ? {
        y: item.flow + "-" + item.ID,
        z: common_vendor.o(($event) => _ctx.handleItem($event, item)),
        A: "60ca92f0-6-" + i0 + "," + ("60ca92f0-2-" + i0),
        B: common_vendor.p({
          id: item.flow + "-" + item.ID,
          data: _ctx.handleVideoMessageShowContext(item),
          messageData: item
        })
      } : {}, {
        C: item.type === _ctx.types.MSG_AUDIO
      }, item.type === _ctx.types.MSG_AUDIO ? {
        D: item.flow + "-" + item.ID,
        E: common_vendor.o(($event) => _ctx.handleItem($event, item)),
        F: "60ca92f0-7-" + i0 + "," + ("60ca92f0-2-" + i0),
        G: common_vendor.p({
          id: item.flow + "-" + item.ID,
          data: _ctx.handleAudioMessageShowContext(item),
          messageData: item
        })
      } : {}, {
        H: item.type === _ctx.types.MSG_FACE
      }, item.type === _ctx.types.MSG_FACE ? {
        I: item.flow + "-" + item.ID,
        J: common_vendor.o(($event) => _ctx.handleItem($event, item)),
        K: "60ca92f0-8-" + i0 + "," + ("60ca92f0-2-" + i0),
        L: common_vendor.p({
          id: item.flow + "-" + item.ID,
          data: _ctx.handleFaceMessageShowContext(item),
          messageData: item
        })
      } : {}, {
        M: item.type === _ctx.types.MSG_CUSTOM
      }, item.type === _ctx.types.MSG_CUSTOM ? {
        N: item.flow + "-" + item.ID,
        O: common_vendor.o(($event) => _ctx.handleCustomerItem($event, item)),
        P: common_vendor.o(($event) => _ctx.handleItem($event, item)),
        Q: "60ca92f0-9-" + i0 + "," + ("60ca92f0-2-" + i0),
        R: common_vendor.p({
          id: item.flow + "-" + item.ID,
          data: _ctx.handleCustomMessageShowContext(item),
          messageData: item
        })
      } : {}, {
        S: "60ca92f0-2-" + i0,
        T: common_vendor.p({
          data: item
        })
      }) : {}, {
        U: item.isRevoked
      }, item.isRevoked ? {
        V: common_vendor.o(($event) => _ctx.handleEdit(item)),
        W: "60ca92f0-10-" + i0,
        X: common_vendor.p({
          data: item
        })
      } : {}, {
        Y: item.ID,
        Z: "view" + item.ID
      });
    }),
    g: common_vendor.o((...args) => _ctx.handleTouchStart && _ctx.handleTouchStart(...args)),
    h: common_vendor.o(($event) => _ctx.dialogID = ""),
    i: _ctx.triggered,
    j: common_vendor.o((...args) => _ctx.handleRefresher && _ctx.handleRefresher(...args)),
    k: _ctx.scrollTop,
    l: _ctx.imType == 1 || _ctx.imType == 2
  }, _ctx.imType == 1 || _ctx.imType == 2 ? {
    m: common_vendor.p({
      text: _ctx.text,
      conversationData: _ctx.conversation
    })
  } : {}) : {}, {
    n: _ctx.conversationType === "system"
  }, _ctx.conversationType === "system" ? {
    o: common_vendor.p({
      data: _ctx.messages,
      types: _ctx.types
    })
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-60ca92f0"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/index.vue"]]);
wx.createPage(MiniProgramPage);
