"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../common/vendor.js");
var pages_TUIKit_utils_date = require("../../utils/date.js");
var common_assets = require("../../../../common/assets.js");
const TUIConversationList = common_vendor.defineComponent({
  props: {
    conversationList: {
      type: Array,
      default: () => {
        return [];
      }
    },
    currentID: {
      type: String,
      default: () => {
        return "";
      }
    }
  },
  setup(props, ctx) {
    const obj = common_vendor.reactive({
      conversationList: [],
      currentID: "",
      isOpened: "none",
      currentConversation: {},
      dialogID: ""
    });
    common_vendor.watchEffect(() => {
      obj.conversationList = props.conversationList;
      obj.currentID = props.currentID;
    });
    const handleItemAvator = (item) => {
      var _a, _b, _c;
      let avatar = "";
      switch (item.type) {
        case common_vendor.index.$TIM.TYPES.CONV_C2C:
          avatar = ((_a = item == null ? void 0 : item.userProfile) == null ? void 0 : _a.avatar) || "https://web.sdk.qcloud.com/component/TUIKit/assets/avatar_21.png";
          break;
        case common_vendor.index.$TIM.TYPES.CONV_GROUP:
          avatar = ((_b = item == null ? void 0 : item.groupProfile) == null ? void 0 : _b.avatar) || "https://web.sdk.qcloud.com/component/TUIKit/assets/group_avatar.png";
          break;
        case common_vendor.index.$TIM.TYPES.CONV_SYSTEM:
          avatar = ((_c = item == null ? void 0 : item.groupProfile) == null ? void 0 : _c.avatar) || "https://web.sdk.qcloud.com/component/TUIKit/assets/group_avatar.png";
          break;
      }
      return avatar;
    };
    const handleItemName = (item) => {
      var _a, _b;
      let name = "";
      switch (item.type) {
        case common_vendor.index.$TIM.TYPES.CONV_C2C:
          name = (item == null ? void 0 : item.userProfile.nick) || ((_a = item == null ? void 0 : item.userProfile) == null ? void 0 : _a.userID) || "";
          break;
        case common_vendor.index.$TIM.TYPES.CONV_GROUP:
          name = item.groupProfile.name || ((_b = item == null ? void 0 : item.groupProfile) == null ? void 0 : _b.groupID) || "";
          break;
        case common_vendor.index.$TIM.TYPES.CONV_SYSTEM:
          name = "\u7CFB\u7EDF\u901A\u77E5";
          break;
      }
      return name;
    };
    const handleItemTime = (time) => {
      if (time > 0) {
        return pages_TUIKit_utils_date.caculateTimeago(time * 1e3);
      }
      return "";
    };
    const handleItemMessage = (message) => {
      switch (message.type) {
        case common_vendor.index.$TIM.TYPES.MSG_TEXT:
          return message.payload.text;
        default:
          return message.messageForShow;
      }
    };
    const handleGotoItem = (item) => {
      ctx.emit("handleGotoItem", item);
    };
    const handleItemLongpress = (item) => {
      obj.currentConversation = item;
      obj.dialogID = item.conversationID;
      if (item.type === "C2C") {
        obj.currentuserID = item.userProfile.userID;
      } else if (item.type === "GROUP") {
        obj.currentuserID = item.groupProfile.groupID;
      }
      obj.conversationType = item.type;
    };
    const handlerIsOpened = (item) => {
      if (item.conversationID === obj.doalogID) {
        return "right";
      } else {
        return "none";
      }
    };
    const handleConversation = (type) => {
      switch (type) {
        case "delete":
          common_vendor.index.$TUIKit.TUIConversationServer.deleteConversation(obj.dialogID).then((imResponse) => {
            imResponse.data;
          });
          obj.dialogID = "";
          break;
        case "ispinned":
          if (type === "ispinned") {
            const options = {
              conversationID: obj.dialogID,
              isPinned: true
            };
            common_vendor.index.$TUIKit.TUIConversationServer.pinConversation(options).then((imResponse) => {
              console.log(imResponse);
            });
          }
          obj.dialogID = "";
          break;
        case "dispinned":
          if (type === "dispinned") {
            const options = {
              conversationID: obj.dialogID,
              isPinned: false
            };
            common_vendor.index.$TUIKit.TUIConversationServer.pinConversation(options).then((imResponse) => {
            });
          }
          obj.dialogID = "";
          break;
        case "mute":
          if (type === "mute" && obj.conversationType === "C2C") {
            const options = {
              userIDList: [obj.currentuserID],
              messageRemindType: common_vendor.index.$TIM.TYPES.MSG_REMIND_ACPT_NOT_NOTE
            };
            common_vendor.index.$TUIKit.TUIConversationServer.muteConversation(options).then((imResponse) => {
              console.log(imResponse);
            });
          } else if (type === "mute" && obj.conversationType === "GROUP") {
            const options = {
              groupID: obj.currentuserID,
              messageRemindType: common_vendor.index.$TIM.TYPES.MSG_REMIND_ACPT_NOT_NOTE
            };
            common_vendor.index.$TUIKit.TUIConversationServer.muteConversation(options).then((imResponse) => {
              console.log(imResponse);
            });
          }
          obj.dialogID = "";
          break;
        case "notMute":
          if (type === "notMute" && obj.conversationType === "C2C") {
            const options = {
              userIDList: [obj.currentuserID],
              messageRemindType: common_vendor.index.$TIM.TYPES.MSG_REMIND_ACPT_AND_NOTE
            };
            common_vendor.index.$TUIKit.TUIConversationServer.muteConversation(options).then((imResponse) => {
              console.log(imResponse);
            });
          } else if (type === "notMute" && obj.conversationType === "GROUP") {
            const options = {
              groupID: obj.currentuserID,
              messageRemindType: common_vendor.index.$TIM.TYPES.MSG_REMIND_ACPT_AND_NOTE
            };
            common_vendor.index.$TUIKit.TUIConversationServer.muteConversation(options).then((imResponse) => {
              console.log(imResponse);
            });
          }
          obj.dialogID = "";
          break;
      }
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(obj)), {
      handleGotoItem,
      handleItemAvator,
      handleItemTime,
      handleItemMessage,
      handleItemName,
      handleItemLongpress,
      handleConversation,
      handlerIsOpened
    });
  }
});
const _sfc_main = TUIConversationList;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.conversationList.length == 0
  }, _ctx.conversationList.length == 0 ? {} : {}, {
    b: _ctx.conversationList.length > 0
  }, _ctx.conversationList.length > 0 ? {
    c: common_vendor.f(_ctx.conversationList, (item, index, i0) => {
      return common_vendor.e({
        a: _ctx.handleItemAvator(item),
        b: item.unreadCount > 0 && item.messageRemindType !== "AcceptNotNotify"
      }, item.unreadCount > 0 && item.messageRemindType !== "AcceptNotNotify" ? {
        c: common_vendor.t(item.unreadCount > 99 ? "99+" : item.unreadCount)
      } : {}, {
        d: item.unreadCount > 0 && item.messageRemindType === "AcceptNotNotify"
      }, item.unreadCount > 0 && item.messageRemindType === "AcceptNotNotify" ? {} : {}, {
        e: common_vendor.t(_ctx.handleItemName(item)),
        f: item.unreadCount > 0 && item.messageRemindType === "AcceptNotNotify"
      }, item.unreadCount > 0 && item.messageRemindType === "AcceptNotNotify" ? {
        g: common_vendor.t(item.unreadCount > 99 ? "99+" : item.unreadCount)
      } : {}, {
        h: common_vendor.t(_ctx.handleItemMessage(item.lastMessage)),
        i: common_vendor.t(_ctx.handleItemTime(item.lastMessage.lastTime)),
        j: item.messageRemindType === "AcceptNotNotify"
      }, item.messageRemindType === "AcceptNotNotify" ? {
        k: common_assets._imports_0$2
      } : {}, {
        l: item.conversationID === _ctx.dialogID
      }, item.conversationID === _ctx.dialogID ? common_vendor.e({
        m: common_vendor.o(($event) => _ctx.handleConversation("delete", _ctx.dialogID)),
        n: !item.isPinned
      }, !item.isPinned ? {
        o: common_vendor.o(($event) => _ctx.handleConversation("ispinned", _ctx.dialogID))
      } : {}, {
        p: item.isPinned
      }, item.isPinned ? {
        q: common_vendor.o(($event) => _ctx.handleConversation("dispinned", _ctx.dialogID))
      } : {}, {
        r: item.messageRemindType === "" || item.messageRemindType === "AcceptAndNotify"
      }, item.messageRemindType === "" || item.messageRemindType === "AcceptAndNotify" ? {
        s: common_vendor.o(($event) => _ctx.handleConversation("mute", _ctx.dialogID))
      } : {}, {
        t: item.messageRemindType === "AcceptNotNotify"
      }, item.messageRemindType === "AcceptNotNotify" ? {
        v: common_vendor.o(($event) => _ctx.handleConversation("notMute", _ctx.dialogID))
      } : {}) : {}, {
        w: common_vendor.n(_ctx.dialogID === item.conversationID && "selected"),
        x: common_vendor.n(item.isPinned && "pinned"),
        y: common_vendor.o(($event) => _ctx.handleGotoItem(item)),
        z: common_vendor.o(($event) => _ctx.handleItemLongpress(item)),
        A: index
      });
    })
  } : {}, {
    d: common_vendor.o(($event) => _ctx.dialogID = "")
  });
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-7e3e2749"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIConversation/conversation-list.vue"]]);
wx.createComponent(Component);
