"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../common/vendor.js");
var store_index = require("../../../../store/index.js");
var common_assets = require("../../../../common/assets.js");
require("../../../../store/modules.js");
require("../../../../store/modules/timStore.js");
const TUIConversationList = () => "./conversation-list.js";
const Dialog = () => "./components/dialog.js";
const TUIConversation = common_vendor.defineComponent({
  name: "TUIConversation",
  components: {
    TUIConversationList,
    Dialog
  },
  setup(props) {
    const timStore = store_index.store.state.timStore;
    const data = common_vendor.reactive({
      conversationList: common_vendor.computed$1(() => timStore.conversationList),
      currrentConversationID: "",
      open: false,
      searchUserID: "",
      selectedList: [],
      searchUserList: [],
      step: 1,
      showDialog: false,
      item: {
        flow: "out",
        status: "success"
      },
      styleConfig: {
        width: "150px",
        padding: "16px 16px 0px",
        top: "8px",
        right: "8px"
      },
      chatList: [
        {
          imgType: "SINGLE",
          type: common_vendor.index.$TIM.TYPES.CONV_C2C,
          id: 1,
          content: "\u53D1\u8D77\u4F1A\u8BDD"
        },
        {
          imgType: "GROUP",
          type: common_vendor.index.$TIM.TYPES.GRP_WORK,
          id: 1,
          content: "\u5DE5\u4F5C\u7FA4"
        },
        {
          imgType: "GROUP",
          type: common_vendor.index.$TIM.TYPES.GRP_PUBLIC,
          id: 2,
          content: "\u793E\u4EA4\u7FA4"
        },
        {
          imgType: "GROUP",
          type: common_vendor.index.$TIM.TYPES.GRP_MEETING,
          id: 3,
          content: "\u4F1A\u8BAE\u7FA4"
        }
      ]
    });
    common_vendor.onUnload(() => {
      common_vendor.index.$TUIKit.TUIConversationServer.destroyed();
    });
    common_vendor.onNavigationBarButtonTap(() => {
      data.showDialog = !data.showDialog;
    });
    common_vendor.onShow(() => {
      common_vendor.index.$emit("refreshIM");
      store_index.store.commit("timStore/setConversationID", "");
    });
    const handleCurrrentConversation = (value) => {
      if (value.lastMessage.cloudCustomData != null) {
        try {
          var json = JSON.parse(value.lastMessage.cloudCustomData);
          store_index.store.commit("timStore/setImType", json.imType);
          store_index.store.commit("timStore/setOrderType", json.orderType);
          store_index.store.commit("timStore/setOrderId", json.orderId);
          store_index.store.commit("timStore/setFollowId", json.followId);
          store_index.store.commit("timStore/setType", json.type);
        } catch (e) {
        }
      }
      data.currrentConversationID = value.conversationID;
      store_index.store.commit("timStore/setConversationID", value.conversationID);
      common_vendor.index.navigateTo({
        url: `../TUIChat/index?conversationName=${handleItemName(value)}`
      });
      common_vendor.index.$TUIKit.TUIConversationServer.setMessageRead(value.conversationID);
      const curConversation = data.conversationList.filter((item) => {
        return item.conversationID === value.conversationID;
      });
      store_index.store.commit("timStore/setConversation", curConversation);
      common_vendor.index.$TUIKit.TUIConversationServer.getConversationProfile(value.conversationID).then((res) => {
        store_index.store.commit("timStore/setConversation", res.data.conversation);
      });
    };
    const handleShow = () => {
      data.showDialog = true;
    };
    const handleContentClick = (item) => {
      data.showDialog = false;
      common_vendor.index.navigateTo({
        url: `../TUIConversation/create?title=${item.content}&type=${item.type}`
      });
    };
    const handleClose = () => {
      data.showDialog = false;
    };
    const handleItemName = (item) => {
      var _a, _b;
      let name = "";
      switch (item.type) {
        case common_vendor.index.$TIM.TYPES.CONV_C2C:
          name = (item == null ? void 0 : item.userProfile.nick) || ((_a = item == null ? void 0 : item.userProfile) == null ? void 0 : _a.userID) || "";
          break;
        case common_vendor.index.$TIM.TYPES.CONV_GROUP:
          name = item.groupProfile.name || ((_b = item == null ? void 0 : item.groupProfile) == null ? void 0 : _b.groupID) || "";
          break;
        case common_vendor.index.$TIM.TYPES.CONV_SYSTEM:
          name = "\u7CFB\u7EDF\u901A\u77E5";
          break;
      }
      return name;
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      handleCurrrentConversation,
      handleContentClick,
      handleItemName,
      handleClose,
      handleShow
    });
  }
});
const _sfc_main = TUIConversation;
if (!Array) {
  const _component_Dialog = common_vendor.resolveComponent("Dialog");
  const _component_TUIConversationList = common_vendor.resolveComponent("TUIConversationList");
  (_component_Dialog + _component_TUIConversationList)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f(_ctx.chatList, (item, index, i0) => {
      return common_vendor.e({
        a: item.imgType === "SINGLE"
      }, item.imgType === "SINGLE" ? {
        b: common_assets._imports_0
      } : {
        c: common_assets._imports_1
      }, {
        d: common_vendor.t(item.content),
        e: index,
        f: common_vendor.o(($event) => _ctx.handleContentClick(item), index)
      });
    }),
    b: common_vendor.p({
      visible: _ctx.showDialog,
      styleConfig: _ctx.styleConfig,
      handleClose: _ctx.handleClose
    }),
    c: common_vendor.o(_ctx.handleCurrrentConversation),
    d: common_vendor.p({
      currentID: _ctx.currrentConversationID,
      conversationList: _ctx.conversationList
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-729fe0f3"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIConversation/index.vue"]]);
wx.createPage(MiniProgramPage);
