"use strict";
const emojiUrl = "https://web.sdk.qcloud.com/im/assets/emoji/";
const emojiMap = {
  "[NO]": "emoji_0@2x.png",
  "[OK]": "emoji_1@2x.png",
  "[\u4E0B\u96E8]": "emoji_2@2x.png",
  "[\u4E48\u4E48\u54D2]": "emoji_3@2x.png",
  "[\u4E52\u4E53]": "emoji_4@2x.png",
  "[\u4FBF\u4FBF]": "emoji_5@2x.png",
  "[\u4FE1\u5C01]": "emoji_6@2x.png",
  "[\u5077\u7B11]": "emoji_7@2x.png",
  "[\u50B2\u6162]": "emoji_8@2x.png",
  "[\u518D\u89C1]": "emoji_9@2x.png",
  "[\u51B7\u6C57]": "emoji_10@2x.png",
  "[\u51CB\u8C22]": "emoji_11@2x.png",
  "[\u5200]": "emoji_12@2x.png",
  "[\u5220\u9664]": "emoji_13@2x.png",
  "[\u52FE\u5F15]": "emoji_14@2x.png",
  "[\u53D1\u5446]": "emoji_15@2x.png",
  "[\u53D1\u6296]": "emoji_16@2x.png",
  "[\u53EF\u601C]": "emoji_17@2x.png",
  "[\u53EF\u7231]": "emoji_18@2x.png",
  "[\u53F3\u54FC\u54FC]": "emoji_19@2x.png",
  "[\u53F3\u592A\u6781]": "emoji_20@2x.png",
  "[\u53F3\u8F66\u5934]": "emoji_21@2x.png",
  "[\u5410]": "emoji_22@2x.png",
  "[\u5413]": "emoji_23@2x.png",
  "[\u5492\u9A82]": "emoji_24@2x.png",
  "[\u5496\u5561]": "emoji_25@2x.png",
  "[\u5564\u9152]": "emoji_26@2x.png",
  "[\u5618]": "emoji_27@2x.png",
  "[\u56DE\u5934]": "emoji_28@2x.png",
  "[\u56F0]": "emoji_29@2x.png",
  "[\u574F\u7B11]": "emoji_30@2x.png",
  "[\u591A\u4E91]": "emoji_31@2x.png",
  "[\u5927\u5175]": "emoji_32@2x.png",
  "[\u5927\u54ED]": "emoji_33@2x.png",
  "[\u592A\u9633]": "emoji_34@2x.png",
  "[\u594B\u6597]": "emoji_35@2x.png",
  "[\u5976\u74F6]": "emoji_36@2x.png",
  "[\u59D4\u5C48]": "emoji_37@2x.png",
  "[\u5BB3\u7F9E]": "emoji_38@2x.png",
  "[\u5C34\u5C2C]": "emoji_39@2x.png",
  "[\u5DE6\u54FC\u54FC]": "emoji_40@2x.png",
  "[\u5DE6\u592A\u6781]": "emoji_41@2x.png",
  "[\u5DE6\u8F66\u5934]": "emoji_42@2x.png",
  "[\u5DEE\u52B2]": "emoji_43@2x.png",
  "[\u5F31]": "emoji_44@2x.png",
  "[\u5F3A]": "emoji_45@2x.png",
  "[\u5F69\u5E26]": "emoji_46@2x.png",
  "[\u5F69\u7403]": "emoji_47@2x.png",
  "[\u5F97\u610F]": "emoji_48@2x.png",
  "[\u5FAE\u7B11]": "emoji_49@2x.png",
  "[\u5FC3\u788E\u4E86]": "emoji_50@2x.png",
  "[\u5FEB\u54ED\u4E86]": "emoji_51@2x.png",
  "[\u6004\u706B]": "emoji_52@2x.png",
  "[\u6012]": "emoji_53@2x.png",
  "[\u60CA\u6050]": "emoji_54@2x.png",
  "[\u60CA\u8BB6]": "emoji_55@2x.png",
  "[\u61A8\u7B11]": "emoji_56@2x.png",
  "[\u624B\u67AA]": "emoji_57@2x.png",
  "[\u6253\u54C8\u6B20]": "emoji_58@2x.png",
  "[\u6293\u72C2]": "emoji_59@2x.png",
  "[\u6298\u78E8]": "emoji_60@2x.png",
  "[\u62A0\u9F3B]": "emoji_61@2x.png",
  "[\u62B1\u62B1]": "emoji_62@2x.png",
  "[\u62B1\u62F3]": "emoji_63@2x.png",
  "[\u62F3\u5934]": "emoji_64@2x.png",
  "[\u6325\u624B]": "emoji_65@2x.png",
  "[\u63E1\u624B]": "emoji_66@2x.png",
  "[\u6487\u5634]": "emoji_67@2x.png",
  "[\u64E6\u6C57]": "emoji_68@2x.png",
  "[\u6572\u6253]": "emoji_69@2x.png",
  "[\u6655]": "emoji_70@2x.png",
  "[\u6708\u4EAE]": "emoji_71@2x.png",
  "[\u68D2\u68D2\u7CD6]": "emoji_72@2x.png",
  "[\u6C7D\u8F66]": "emoji_73@2x.png",
  "[\u6C99\u53D1]": "emoji_74@2x.png",
  "[\u6D41\u6C57]": "emoji_75@2x.png",
  "[\u6D41\u6CEA]": "emoji_76@2x.png",
  "[\u6FC0\u52A8]": "emoji_77@2x.png",
  "[\u706F\u6CE1]": "emoji_78@2x.png",
  "[\u70B8\u5F39]": "emoji_79@2x.png",
  "[\u718A\u732B]": "emoji_80@2x.png",
  "[\u7206\u7B4B]": "emoji_81@2x.png",
  "[\u7231\u4F60]": "emoji_82@2x.png",
  "[\u7231\u5FC3]": "emoji_83@2x.png",
  "[\u7231\u60C5]": "emoji_84@2x.png",
  "[\u732A\u5934]": "emoji_85@2x.png",
  "[\u732B\u54AA]": "emoji_86@2x.png",
  "[\u732E\u543B]": "emoji_87@2x.png",
  "[\u73AB\u7470]": "emoji_88@2x.png",
  "[\u74E2\u866B]": "emoji_89@2x.png",
  "[\u7591\u95EE]": "emoji_90@2x.png",
  "[\u767D\u773C]": "emoji_91@2x.png",
  "[\u76AE\u7403]": "emoji_92@2x.png",
  "[\u7761\u89C9]": "emoji_93@2x.png",
  "[\u78D5\u5934]": "emoji_94@2x.png",
  "[\u793A\u7231]": "emoji_95@2x.png",
  "[\u793C\u54C1\u888B]": "emoji_96@2x.png",
  "[\u793C\u7269]": "emoji_97@2x.png",
  "[\u7BEE\u7403]": "emoji_98@2x.png",
  "[\u7C73\u996D]": "emoji_99@2x.png",
  "[\u7CD7\u5927\u4E86]": "emoji_100@2x.png",
  "[\u7EA2\u53CC\u559C]": "emoji_101@2x.png",
  "[\u7EA2\u706F\u7B3C]": "emoji_102@2x.png",
  "[\u7EB8\u5DFE]": "emoji_103@2x.png",
  "[\u80DC\u5229]": "emoji_104@2x.png",
  "[\u8272]": "emoji_105@2x.png",
  "[\u836F]": "emoji_106@2x.png",
  "[\u83DC\u5200]": "emoji_107@2x.png",
  "[\u86CB\u7CD5]": "emoji_108@2x.png",
  "[\u8721\u70DB]": "emoji_109@2x.png",
  "[\u8857\u821E]": "emoji_110@2x.png",
  "[\u8870]": "emoji_111@2x.png",
  "[\u897F\u74DC]": "emoji_112@2x.png",
  "[\u8C03\u76AE]": "emoji_113@2x.png",
  "[\u8C61\u68CB]": "emoji_114@2x.png",
  "[\u8DF3\u7EF3]": "emoji_115@2x.png",
  "[\u8DF3\u8DF3]": "emoji_116@2x.png",
  "[\u8F66\u53A2]": "emoji_117@2x.png",
  "[\u8F6C\u5708]": "emoji_118@2x.png",
  "[\u9119\u89C6]": "emoji_119@2x.png",
  "[\u9177]": "emoji_120@2x.png",
  "[\u949E\u7968]": "emoji_121@2x.png",
  "[\u94BB\u6212]": "emoji_122@2x.png",
  "[\u95EA\u7535]": "emoji_123@2x.png",
  "[\u95ED\u5634]": "emoji_124@2x.png",
  "[\u95F9\u949F]": "emoji_125@2x.png",
  "[\u9634\u9669]": "emoji_126@2x.png",
  "[\u96BE\u8FC7]": "emoji_127@2x.png",
  "[\u96E8\u4F1E]": "emoji_128@2x.png",
  "[\u9752\u86D9]": "emoji_129@2x.png",
  "[\u9762\u6761]": "emoji_130@2x.png",
  "[\u97AD\u70AE]": "emoji_131@2x.png",
  "[\u98CE\u8F66]": "emoji_132@2x.png",
  "[\u98DE\u543B]": "emoji_133@2x.png",
  "[\u98DE\u673A]": "emoji_134@2x.png",
  "[\u9965\u997F]": "emoji_135@2x.png",
  "[\u9999\u8549]": "emoji_136@2x.png",
  "[\u9AB7\u9AC5]": "emoji_137@2x.png",
  "[\u9EA6\u514B\u98CE]": "emoji_138@2x.png",
  "[\u9EBB\u5C06]": "emoji_139@2x.png",
  "[\u9F13\u638C]": "emoji_140@2x.png",
  "[\u9F87\u7259]": "emoji_141@2x.png"
};
const emojiName = [
  "[\u9F87\u7259]",
  "[\u8C03\u76AE]",
  "[\u6D41\u6C57]",
  "[\u5077\u7B11]",
  "[\u518D\u89C1]",
  "[\u6572\u6253]",
  "[\u64E6\u6C57]",
  "[\u732A\u5934]",
  "[\u73AB\u7470]",
  "[\u6D41\u6CEA]",
  "[\u5927\u54ED]",
  "[\u5618]",
  "[\u9177]",
  "[\u6293\u72C2]",
  "[\u59D4\u5C48]",
  "[\u4FBF\u4FBF]",
  "[\u70B8\u5F39]",
  "[\u83DC\u5200]",
  "[\u53EF\u7231]",
  "[\u8272]",
  "[\u5BB3\u7F9E]",
  "[\u5F97\u610F]",
  "[\u5410]",
  "[\u5FAE\u7B11]",
  "[\u6012]",
  "[\u5C34\u5C2C]",
  "[\u60CA\u6050]",
  "[\u51B7\u6C57]",
  "[\u7231\u5FC3]",
  "[\u793A\u7231]",
  "[\u767D\u773C]",
  "[\u50B2\u6162]",
  "[\u96BE\u8FC7]",
  "[\u60CA\u8BB6]",
  "[\u7591\u95EE]",
  "[\u56F0]",
  "[\u4E48\u4E48\u54D2]",
  "[\u61A8\u7B11]",
  "[\u7231\u60C5]",
  "[\u8870]",
  "[\u6487\u5634]",
  "[\u9634\u9669]",
  "[\u594B\u6597]",
  "[\u53D1\u5446]",
  "[\u53F3\u54FC\u54FC]",
  "[\u62B1\u62B1]",
  "[\u574F\u7B11]",
  "[\u98DE\u543B]",
  "[\u9119\u89C6]",
  "[\u6655]",
  "[\u5927\u5175]",
  "[\u53EF\u601C]",
  "[\u5F3A]",
  "[\u5F31]",
  "[\u63E1\u624B]",
  "[\u80DC\u5229]",
  "[\u62B1\u62F3]",
  "[\u51CB\u8C22]",
  "[\u7C73\u996D]",
  "[\u86CB\u7CD5]",
  "[\u897F\u74DC]",
  "[\u5564\u9152]",
  "[\u74E2\u866B]",
  "[\u52FE\u5F15]",
  "[OK]",
  "[\u7231\u4F60]",
  "[\u5496\u5561]",
  "[\u6708\u4EAE]",
  "[\u5200]",
  "[\u53D1\u6296]",
  "[\u5DEE\u52B2]",
  "[\u62F3\u5934]",
  "[\u5FC3\u788E\u4E86]",
  "[\u592A\u9633]",
  "[\u793C\u7269]",
  "[\u76AE\u7403]",
  "[\u9AB7\u9AC5]",
  "[\u6325\u624B]",
  "[\u95EA\u7535]",
  "[\u9965\u997F]",
  "[\u5492\u9A82]",
  "[\u6298\u78E8]",
  "[\u62A0\u9F3B]",
  "[\u9F13\u638C]",
  "[\u7CD7\u5927\u4E86]",
  "[\u5DE6\u54FC\u54FC]",
  "[\u6253\u54C8\u6B20]",
  "[\u5FEB\u54ED\u4E86]",
  "[\u5413]",
  "[\u7BEE\u7403]",
  "[\u4E52\u4E53]",
  "[NO]",
  "[\u8DF3\u8DF3]",
  "[\u6004\u706B]",
  "[\u8F6C\u5708]",
  "[\u78D5\u5934]",
  "[\u56DE\u5934]",
  "[\u8DF3\u7EF3]",
  "[\u6FC0\u52A8]",
  "[\u8857\u821E]",
  "[\u732E\u543B]",
  "[\u5DE6\u592A\u6781]",
  "[\u53F3\u592A\u6781]",
  "[\u95ED\u5634]",
  "[\u732B\u54AA]",
  "[\u7EA2\u53CC\u559C]",
  "[\u97AD\u70AE]",
  "[\u7EA2\u706F\u7B3C]",
  "[\u9EBB\u5C06]",
  "[\u9EA6\u514B\u98CE]",
  "[\u793C\u54C1\u888B]",
  "[\u4FE1\u5C01]",
  "[\u8C61\u68CB]",
  "[\u5F69\u5E26]",
  "[\u8721\u70DB]",
  "[\u7206\u7B4B]",
  "[\u68D2\u68D2\u7CD6]",
  "[\u5976\u74F6]",
  "[\u9762\u6761]",
  "[\u9999\u8549]",
  "[\u98DE\u673A]",
  "[\u5DE6\u8F66\u5934]",
  "[\u8F66\u53A2]",
  "[\u53F3\u8F66\u5934]",
  "[\u591A\u4E91]",
  "[\u4E0B\u96E8]",
  "[\u949E\u7968]",
  "[\u718A\u732B]",
  "[\u706F\u6CE1]",
  "[\u98CE\u8F66]",
  "[\u95F9\u949F]",
  "[\u96E8\u4F1E]",
  "[\u5F69\u7403]",
  "[\u94BB\u6212]",
  "[\u6C99\u53D1]",
  "[\u7EB8\u5DFE]",
  "[\u624B\u67AA]",
  "[\u9752\u86D9]"
];
const faceUrl = "https://web.sdk.qcloud.com/im/assets/face-elem/";
const bigEmojiList = [
  {
    icon: "yz00",
    list: [
      "yz00",
      "yz01",
      "yz02",
      "yz03",
      "yz04",
      "yz05",
      "yz06",
      "yz07",
      "yz08",
      "yz09",
      "yz10",
      "yz11",
      "yz12",
      "yz13",
      "yz14",
      "yz15",
      "yz16",
      "yz17"
    ]
  },
  {
    icon: "ys00",
    list: [
      "ys00",
      "ys01",
      "ys02",
      "ys03",
      "ys04",
      "ys05",
      "ys06",
      "ys07",
      "ys08",
      "ys09",
      "ys10",
      "ys11",
      "ys12",
      "ys13",
      "ys14",
      "ys15"
    ]
  },
  {
    icon: "gcs00",
    list: [
      "gcs00",
      "gcs01",
      "gcs02",
      "gcs03",
      "gcs04",
      "gcs05",
      "gcs06",
      "gcs07",
      "gcs08",
      "gcs09",
      "gcs10",
      "gcs11",
      "gcs12",
      "gcs13",
      "gcs14",
      "gcs15",
      "gcs16"
    ]
  }
];
exports.bigEmojiList = bigEmojiList;
exports.emojiMap = emojiMap;
exports.emojiName = emojiName;
exports.emojiUrl = emojiUrl;
exports.faceUrl = faceUrl;
