"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_coupon = require("../api/coupon.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  name: "UserCoupon",
  props: {},
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data: function() {
    return {
      keyword: "",
      cateOptions: [],
      cateId: null,
      couponType: null,
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: [],
      isShare: null
    };
  },
  watch: {},
  onLoad(options) {
    this.couponType = options.couponType;
    this.isShare = options.isShare;
  },
  onShow() {
    if (this.couponType == 5) {
      this.getDictByKey("sys_package_private_type");
    } else if (this.couponType == 6) {
      this.getDictByKey("sys_package_disease_type");
    }
  },
  methods: {
    choseCate(item) {
      this.cateId = item.dictValue;
      this.mescroll.resetUpScroll();
    },
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          this.cateOptions = res.data;
        }
      }, (err) => {
      });
    },
    doSearch() {
      this.mescroll.resetUpScroll();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback() {
      this.mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        keyword: this.keyword,
        couponType: this.couponType,
        pageNum: page.num,
        pageSize: page.size
      };
      if (this.cateId != null) {
        data.cateId = this.cateId;
      }
      api_coupon.getCouponList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  _easycom_mescroll_body2();
}
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  _easycom_mescroll_body();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.couponType == 5 || _ctx.couponType == 6
  }, _ctx.couponType == 5 || _ctx.couponType == 6 ? {
    b: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    c: _ctx.keyword,
    d: common_vendor.o(($event) => _ctx.keyword = $event.detail.value),
    e: common_vendor.f(_ctx.cateOptions, (item, index, i0) => {
      return {
        a: common_vendor.t(item.dictLabel),
        b: index,
        c: common_vendor.n(_ctx.cateId == item.dictValue ? "item active" : "item"),
        d: common_vendor.o(($event) => $options.choseCate(item), index)
      };
    })
  } : {}, {
    f: common_vendor.f(_ctx.dataList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.price.toFixed(2)),
        b: common_vendor.t(item.minPrice.toFixed(2)),
        c: common_vendor.t(item.title),
        d: common_vendor.t(item.limitTime),
        e: common_vendor.o(($event) => $options.navTo("/pages_company/couponDetails?isShare=" + _ctx.isShare + "&couponId=" + item.couponId)),
        f: index
      };
    }),
    g: common_vendor.sr("mescrollRef", "2d626fc2-0"),
    h: common_vendor.o($options.mescrollInit),
    i: common_vendor.o($options.downCallback),
    j: common_vendor.o($options.upCallback),
    k: common_vendor.p({
      top: _ctx.couponType == 5 || _ctx.couponType == 6 ? "192rpx" : "0rpx",
      bottom: "0",
      down: _ctx.downOption,
      up: _ctx.upOption
    })
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-2d626fc2"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_company/couponList.vue"]]);
wx.createPage(MiniProgramPage);
