"use strict";
var common_vendor = require("../common/vendor.js");
var api_prescribe = require("../api/prescribe.js");
var api_storeOrder = require("../api/storeOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      payLimitTime: null,
      orderId: null,
      order: {},
      items: []
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
  },
  onShow() {
    this.getCompanyUserStoreOrderById();
  },
  methods: {
    showPrescribe() {
      var data = { prescribeId: this.order.prescribeId };
      api_prescribe.getPrescribeById(data).then((res) => {
        if (res.code == 200) {
          if (res.data.prescribe.prescribeImgUrl != null) {
            var data2 = [];
            data2.push(res.data.prescribe.prescribeImgUrl);
            common_vendor.index.previewImage({
              current: 0,
              urls: data2
            });
          } else {
            common_vendor.index.showToast({
              icon: "none",
              title: "\u7535\u5B50\u5904\u65B9\u5355\u4E0D\u5B58\u5728"
            });
          }
        }
      }, (err) => {
      });
    },
    getCompanyUserStoreOrderById() {
      var data = { orderId: this.orderId };
      api_storeOrder.getCompanyUserStoreOrderById(data).then((res) => {
        if (res.code == 200) {
          this.order = res.order;
          this.items = res.items;
          this.payLimitTime = res.payLimitTime;
          this.prescribe = res.prescribe;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    showDelivery() {
      common_vendor.index.navigateTo({
        url: "./storeOrderDelivery?orderId=" + this.orderId
      });
    },
    cancel() {
      var that = this;
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u5B9A\u53D6\u6D88\u8BA2\u5355\u5417",
        success: function(res) {
          if (res.confirm) {
            var data = {
              orderId: that.order.orderId
            };
            api_storeOrder.cancelOrder(data).then((res2) => {
              if (res2.code == 200) {
                that.getMyStoreOrderById();
                common_vendor.index.$emit("refreshStoreOrder");
              } else {
                common_vendor.index.showToast({
                  icon: "none",
                  title: res2.msg
                });
              }
            });
          } else if (res.cancel)
            ;
        }
      });
    },
    finish() {
      var that = this;
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u5B9A\u5DF2\u6536\u8D27\u5417",
        success: function(res) {
          if (res.confirm) {
            var data = {
              orderId: that.orderId
            };
            api_storeOrder.finishOrder(data).then((res2) => {
              if (res2.code == 200) {
                that.getMyStoreOrderById();
                common_vendor.index.$emit("refreshStoreOrder");
              } else {
                common_vendor.index.showToast({
                  icon: "none",
                  title: res2.msg
                });
              }
            });
          } else if (res.cancel)
            ;
        }
      });
    },
    pay() {
      common_vendor.index.navigateTo({
        url: "/pages_order/storeOrderPay?orderId=" + this.order.orderId
      });
    },
    payRemain() {
      common_vendor.index.navigateTo({
        url: "/pages_user/user/paymentOrderRemain?orderId=" + this.order.orderId
      });
    },
    copyOrderSn(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    },
    refund() {
      common_vendor.index.navigateTo({
        url: "/pages_order/storeOrderRefundApply?orderId=" + this.orderId
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.order.status == 1
  }, $data.order.status == 1 ? {
    b: common_vendor.t($data.payLimitTime)
  } : {}, {
    c: $data.order.status == 2
  }, $data.order.status == 2 ? {} : {}, {
    d: $data.order.status == 3
  }, $data.order.status == 3 ? {} : {}, {
    e: $data.order.status == 4
  }, $data.order.status == 4 ? {} : {}, {
    f: $data.order.status == -3
  }, $data.order.status == -3 ? {} : {}, {
    g: $data.order.status == -1
  }, $data.order.status == -1 ? {} : {}, {
    h: $data.order.status == -2
  }, $data.order.status == -2 ? {} : {}, {
    i: $data.order.userName != null
  }, $data.order.userName != null ? common_vendor.e({
    j: common_vendor.t($data.order.userName),
    k: $data.order.userPhone != null
  }, $data.order.userPhone != null ? {
    l: common_vendor.t($data.order.userPhone)
  } : {}, {
    m: common_vendor.t($data.order.userAddress)
  }) : {}, {
    n: common_vendor.f($data.items, (item, index, i0) => {
      return common_vendor.e({
        a: JSON.parse(item.jsonInfo).image == "" ? "/static/images/drug.svg" : JSON.parse(item.jsonInfo).image,
        b: common_vendor.t(JSON.parse(item.jsonInfo).productName),
        c: common_vendor.t(JSON.parse(item.jsonInfo).sku)
      }, $data.order.ordetType == 1 ? {
        d: common_vendor.t(JSON.parse(item.jsonInfo).num)
      } : {}, {
        e: index
      });
    }),
    o: $data.order.ordetType == 1,
    p: common_vendor.t($data.order.payPrice),
    q: common_vendor.t($data.order.orderCode),
    r: common_vendor.o(($event) => $options.copyOrderSn($data.order.orderCode)),
    s: common_vendor.t($data.order.createTime),
    t: $data.order.payType == 1
  }, $data.order.payType == 1 ? {} : {}, {
    v: $data.order.payType == 2
  }, $data.order.payType == 2 ? {} : {}, {
    w: $data.order.totalPrice != null
  }, $data.order.totalPrice != null ? {
    x: common_vendor.t($data.order.totalPrice.toFixed(2))
  } : {}, {
    y: $data.order.discountMoney != null
  }, $data.order.discountMoney != null ? {
    z: common_vendor.t($data.order.discountMoney.toFixed(2))
  } : {}, {
    A: $data.order.payPrice != null
  }, $data.order.payPrice != null ? {
    B: common_vendor.t($data.order.payPrice.toFixed(2))
  } : {}, {
    C: $data.order.payMoney != null
  }, $data.order.payMoney != null ? {
    D: common_vendor.t($data.order.payMoney.toFixed(2))
  } : {}, {
    E: $data.order.payTime != null
  }, $data.order.payTime != null ? {
    F: common_vendor.t($data.order.payTime)
  } : {}, {
    G: $data.order.deliverySn != null
  }, $data.order.deliverySn != null ? {
    H: common_vendor.o(($event) => $options.showDelivery())
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_company/storeOrderDetail.vue"]]);
wx.createPage(MiniProgramPage);
