"use strict";
var common_vendor = require("../common/vendor.js");
var api_adv = require("../api/adv.js");
var api_doctorArticle = require("../api/doctorArticle.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      advs: [],
      advImgs: [],
      src: "",
      articleId: null,
      item: {}
    };
  },
  onLoad(option) {
    this.articleId = option.articleId;
  },
  onShow() {
    this.getAdvList();
    this.getDoctorArticleById();
  },
  onShareAppMessage(res) {
    return {
      title: this.item.title,
      path: "/pages_doctor/doctorArticleDetails?articleId=" + this.articleId
    };
  },
  onShareTimeline(res) {
    return {
      title: this.item.title,
      query: "articleId=" + this.articleId
    };
  },
  methods: {
    handleAdvClick(index) {
      var ad = this.advs[index];
      console.log(ad.advUrl);
      if (ad.showType == 1) {
        common_vendor.index.setStorageSync("url", ad.advUrl);
        common_vendor.index.navigateTo({
          url: "h5"
        });
      } else if (ad.showType == 2) {
        common_vendor.index.navigateTo({
          url: ad.advUrl
        });
      } else if (ad.showType == 3) {
        common_vendor.index.setStorageSync("content", ad.content);
        common_vendor.index.navigateTo({
          url: "content"
        });
      }
    },
    getAdvList() {
      var that = this;
      var data = {
        advType: 10
      };
      api_adv.getAdvList(data).then((res) => {
        if (res.code == 200) {
          that.advImgs = [];
          that.advs = [];
          res.data.forEach(function(element) {
            if (element.imageUrl != null && element.imageUrl != "") {
              that.advs.push(element);
              that.advImgs.push(element.imageUrl);
            }
          });
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    videoErrorCallback: function(e) {
      common_vendor.index.showModal({
        content: e.target.errMsg,
        showCancel: false
      });
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    getDoctorArticleById() {
      let data = { articleId: this.articleId };
      api_doctorArticle.getDoctorArticleById(data).then((res) => {
        if (res.code == 200) {
          this.item = res.data;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    }
  }
};
if (!Array) {
  const _easycom_u_swiper2 = common_vendor.resolveComponent("u-swiper");
  _easycom_u_swiper2();
}
const _easycom_u_swiper = () => "../uni_modules/uview-plus/components/u-swiper/u-swiper.js";
if (!Math) {
  _easycom_u_swiper();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.t($data.item.title),
    b: common_vendor.t($data.item.views),
    c: common_vendor.t($data.item.createTime),
    d: $data.item.videoUrl != null
  }, $data.item.videoUrl != null ? {
    e: $data.item.videoUrl,
    f: common_vendor.o((...args) => $options.videoErrorCallback && $options.videoErrorCallback(...args))
  } : {}, {
    g: $data.item.content,
    h: $data.item.avatar,
    i: common_vendor.t($data.item.doctorName),
    j: common_vendor.o(($event) => $options.navTo("/pages_doctor/doctorDetails?doctorId=" + $data.item.doctorId)),
    k: common_vendor.o($options.handleAdvClick),
    l: common_vendor.p({
      list: $data.advImgs,
      indicator: true,
      indicatorMode: "line",
      circular: true
    })
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_doctor/doctorArticleDetails.vue"]]);
_sfc_main.__runtimeHooks = 6;
wx.createPage(MiniProgramPage);
