"use strict";
var common_vendor = require("../common/vendor.js");
var api_doctor = require("../api/doctor.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      pingsTotal: 0,
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight,
      isFollow: false,
      doctorId: null,
      doctor: null,
      department: null,
      hospital: null,
      pings: []
    };
  },
  onLoad(options) {
    if (options.doctorId != null) {
      this.doctorId = options.doctorId;
    } else if (options.hasOwnProperty("q") && options.q) {
      const url = decodeURIComponent(options.q);
      const obj = this.$urlToObj(url);
      common_vendor.index.setStorageSync("doctorId", obj.doctorId);
      this.doctorId = obj.doctorId;
    }
  },
  onShow() {
    this.getDoctorDetails();
    this.getDoctorPingList();
    var that = this;
    this.$isLogin().then((res) => {
      if (res) {
        that.checkFollow();
      }
    }, (rej) => {
    });
  },
  onShareAppMessage(res) {
    return {
      title: this.doctor.doctorName,
      path: "/pages_doctor/doctorDetails?doctorId=" + this.doctorId,
      imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png"
    };
  },
  onShareTimeline(res) {
    return {
      title: this.doctor.doctorName,
      query: "doctorId=" + this.doctorId,
      imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png"
    };
  },
  methods: {
    goback() {
      common_vendor.index.navigateBack();
    },
    gohome() {
      common_vendor.index.switchTab({
        url: "/pages/index/index"
      });
    },
    doInquiry(price) {
      if (this.doctor.workStatus == 0) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u533B\u751F\u4F11\u606F\u4E2D"
        });
        return;
      }
      var that = this;
      this.$isLogin().then((res) => {
        if (res) {
          common_vendor.index.navigateTo({
            url: "/pages_order/inquiryForm1?inquiryType=1&orderType=" + price.type + "&doctorId=" + that.doctorId
          });
        } else {
          common_vendor.index.navigateTo({
            url: "/pages/auth/login"
          });
        }
      }, (rej) => {
      });
    },
    followChange() {
      this.$isLogin().then((res) => {
        if (res) {
          this.doFollow();
        } else {
          common_vendor.index.navigateTo({
            url: "/pages/auth/login"
          });
        }
      }, (rej) => {
      });
    },
    checkFollow() {
      var data = { doctorId: this.doctorId };
      api_doctor.checkFollow(data).then((res) => {
        if (res.code == 200) {
          if (res.isFollow == 1) {
            this.isFollow = true;
          } else {
            this.isFollow = false;
          }
        } else {
          this.isFollow = false;
        }
      }, (rej) => {
      });
    },
    doFollow() {
      var data = { doctorId: this.doctorId };
      api_doctor.doFollow(data).then((res) => {
        this.isFollow = !this.isFollow;
        if (res.code = 200) {
          common_vendor.index.showToast({
            title: res.msg
          });
        }
      }, (rej) => {
      });
    },
    getDoctorDetails() {
      var data = {
        doctorId: this.doctorId
      };
      api_doctor.getDoctorDetails(data).then((res) => {
        if (res.code == 200) {
          this.doctor = res.data.doctor;
          this.doctor.prices = JSON.parse(this.doctor.priceJson);
          this.department = res.data.department;
          this.hospital = res.data.hospital;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    getDoctorPingList() {
      var data = {
        doctorId: this.doctorId,
        pageNum: 1,
        pageSize: 10
      };
      api_doctor.getDoctorPingList(data).then((res) => {
        if (res.code == 200) {
          this.pings = res.data.list;
          this.pingsTotal = res.data.total;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    }
  }
};
if (!Array) {
  const _easycom_u_rate2 = common_vendor.resolveComponent("u-rate");
  _easycom_u_rate2();
}
const _easycom_u_rate = () => "../uni_modules/uview-plus/components/u-rate/u-rate.js";
if (!Math) {
  _easycom_u_rate();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.statusBarHeight,
    b: common_vendor.o(($event) => $options.gohome()),
    c: common_vendor.o(($event) => $options.goback()),
    d: $data.statusBarHeight,
    e: common_vendor.t($data.doctor.certificateCode != null ? $data.doctor.certificateCode.substr(0, 4) + "****" + $data.doctor.certificateCode.substr($data.doctor.certificateCode.length - 4, $data.doctor.certificateCode.length) : ""),
    f: common_vendor.o(($event) => $options.navTo("/pages_doctor/doctorImgs?doctorId=" + $data.doctor.doctorId)),
    g: $data.doctor.avatar,
    h: common_vendor.t($data.doctor.doctorName),
    i: $data.isFollow
  }, $data.isFollow ? {} : {}, {
    j: !$data.isFollow
  }, !$data.isFollow ? {} : {}, {
    k: common_vendor.o(($event) => $options.followChange()),
    l: common_vendor.t($data.doctor.position),
    m: common_vendor.t($data.department.deptName),
    n: common_vendor.t($data.hospital.hospitalName),
    o: common_vendor.t($data.doctor.speciality),
    p: common_vendor.o(($event) => $options.navTo("/pages_doctor/doctorInfo?doctorId=" + $data.doctor.doctorId)),
    q: common_vendor.t($data.doctor.introduction),
    r: common_vendor.o(($event) => $options.navTo("/pages_doctor/doctorInfo?doctorId=" + $data.doctor.doctorId)),
    s: common_vendor.t($data.doctor.pingStar),
    t: common_vendor.t($data.doctor.orderNumber),
    v: common_vendor.t($data.doctor.speed),
    w: $data.doctor != null && $data.doctor.prices != null && $data.doctor.prices.length > 0
  }, $data.doctor != null && $data.doctor.prices != null && $data.doctor.prices.length > 0 ? {
    x: common_vendor.f($data.doctor.prices, (price, index, i0) => {
      return common_vendor.e({
        a: price.type == 1
      }, price.type == 1 ? {} : {}, {
        b: price.type == 2
      }, price.type == 2 ? {} : {}, {
        c: price.type == 1
      }, price.type == 1 ? {} : {}, {
        d: price.type == 2
      }, price.type == 2 ? {} : {}, {
        e: common_vendor.t(price.price.toFixed(2)),
        f: price.type == 1
      }, price.type == 1 ? {} : {}, {
        g: price.type == 2
      }, price.type == 2 ? {} : {}, {
        h: common_vendor.o(($event) => $options.doInquiry(price))
      });
    }),
    y: common_vendor.n($data.doctor.workStatus == 1 ? "btn" : "btn gray")
  } : {}, {
    z: common_vendor.t($data.pingsTotal),
    A: common_vendor.o(($event) => $options.navTo("./doctorPingList?doctorId=" + $data.doctorId)),
    B: $data.pings.length > 0
  }, $data.pings.length > 0 ? {
    C: common_vendor.f($data.pings, (item, k0, i0) => {
      return {
        a: item.avatar == null ? "/static/images/detault_head.jpg" : item.avatar,
        b: common_vendor.t(item.nickName),
        c: "73e48448-0-" + i0,
        d: common_vendor.o(($event) => item.pingStar = $event),
        e: common_vendor.p({
          activeColor: "#ffc603",
          count: "5",
          readonly: true,
          modelValue: item.pingStar
        }),
        f: common_vendor.t(item.pingContent),
        g: common_vendor.t(item.pingTime)
      };
    })
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-73e48448"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_doctor/doctorDetails.vue"]]);
_sfc_main.__runtimeHooks = 6;
wx.createPage(MiniProgramPage);
