"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_index = require("../api/index.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      tabIndex: 1,
      indication: "",
      belongBook: "",
      title: "",
      prescribeType: 0,
      pageNum: 1,
      pageSize: 20,
      typeOptions: [],
      bookOptions: [],
      indicationOptions: [],
      tabs: [
        { name: "\u6309\u7C7B\u578B", id: "1" },
        { name: "\u6309\u75BE\u75C5", id: "2" },
        { name: "\u6309\u4E66\u7C4D", id: "3" }
      ],
      keyword: "",
      dataList: []
    };
  },
  onLoad() {
    this.getDictByKey("sys_famous_prescribe_type");
    this.getDictByKey("sys_famous_prescribe_indication");
    this.getDictByKey("sys_famous_prescribe_book");
  },
  methods: {
    scrolltolower(e) {
      this.pageNum++;
      this.getFamousPrescribeList();
      console.log(e);
    },
    typeClick(item) {
      this.indication = "";
      this.belongBook = "";
      this.prescribeType = parseInt(item.dictValue);
      console.log(this.prescribeType);
      this.title = item.dictLabel;
      this.pageNum = 1;
      this.getFamousPrescribeList();
    },
    bookClick(item) {
      this.indication = "";
      this.prescribeType = 0;
      this.belongBook = item.dictLabel;
      this.title = item.dictLabel;
      this.pageNum = 1;
      this.getFamousPrescribeList();
    },
    indicationClick(item) {
      console.log(item);
      this.belongBook = "";
      this.prescribeType = 0;
      this.indication = item.dictLabel;
      this.title = item.dictLabel;
      this.pageNum = 1;
      this.getFamousPrescribeList();
    },
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_famous_prescribe_type") {
            this.typeOptions = res.data;
            if (this.typeOptions != null && this.typeOptions.length > 0) {
              this.typeClick(this.typeOptions[0]);
            }
          }
          if (key == "sys_famous_prescribe_indication") {
            this.indicationOptions = res.data;
          }
          if (key == "sys_famous_prescribe_book") {
            this.bookOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    tabChange(item) {
      this.tabIndex = item.id;
      this.getFamousPrescribeList();
    },
    doSearch() {
      this.pageNum = 1;
      this.getFamousPrescribeList();
    },
    getFamousPrescribeList() {
      var that = this;
      var data = {
        indication: this.indication,
        belongBook: this.belongBook,
        prescribeType: this.prescribeType,
        keyword: this.keyword,
        pageNum: this.pageNum,
        pageSize: this.pageSize
      };
      api_index.getFamousPrescribeList(data).then((res) => {
        if (res.code == 200) {
          if (this.pageNum == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = [];
        }
      });
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "./famousPrescribeDetails?id=" + item.id
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  _easycom_u_tabs2();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
if (!Math) {
  _easycom_u_tabs();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    b: $data.keyword,
    c: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    d: common_vendor.o($options.tabChange),
    e: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    f: $data.tabIndex == 1
  }, $data.tabIndex == 1 ? {
    g: common_vendor.f($data.typeOptions, (item, k0, i0) => {
      return common_vendor.e({
        a: item.dictValue == $data.prescribeType
      }, item.dictValue == $data.prescribeType ? {} : {}, {
        b: common_vendor.t(_ctx.$parseText(item.dictLabel, 4)),
        c: common_vendor.o(($event) => $options.typeClick(item)),
        d: common_vendor.n(item.dictValue == $data.prescribeType ? "item ellipsis active" : "item ellipsis")
      });
    })
  } : {}, {
    h: $data.tabIndex == 2
  }, $data.tabIndex == 2 ? {
    i: common_vendor.f($data.indicationOptions, (item, k0, i0) => {
      return common_vendor.e({
        a: item.dictLabel == $data.indication
      }, item.dictLabel == $data.indication ? {} : {}, {
        b: common_vendor.t(_ctx.$parseText(item.dictLabel, 4)),
        c: common_vendor.o(($event) => $options.indicationClick(item)),
        d: common_vendor.n(item.dictLabel == $data.indication ? "item ellipsis active" : "item ellipsis")
      });
    })
  } : {}, {
    j: $data.tabIndex == 3
  }, $data.tabIndex == 3 ? {
    k: common_vendor.f($data.bookOptions, (item, k0, i0) => {
      return common_vendor.e({
        a: item.dictLabel == $data.belongBook
      }, item.dictLabel == $data.belongBook ? {} : {}, {
        b: common_vendor.t(_ctx.$parseText(item.dictLabel, 4)),
        c: common_vendor.o(($event) => $options.bookClick(item)),
        d: common_vendor.n(item.dictLabel == $data.belongBook ? "item ellipsis active" : "item ellipsis")
      });
    })
  } : {}, {
    l: common_vendor.t($data.title),
    m: common_vendor.f($data.dataList, (item, k0, i0) => {
      return {
        a: common_vendor.t(item.prescribeName),
        b: common_vendor.o(($event) => $options.showDetail(item))
      };
    }),
    n: common_vendor.o((...args) => $options.scrolltolower && $options.scrolltolower(...args))
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/famousPrescribeList.vue"]]);
wx.createPage(MiniProgramPage);
