"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../common/vendor.js");
var api_inquiryOrder = require("../api/inquiryOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      companyId: null,
      companyUserId: null,
      orderKey: null,
      patient: null,
      durations: [
        {
          name: "\u4E00\u5468\u5185",
          disabled: false
        },
        {
          name: "\u4E00\u4E2A\u6708\u5185",
          disabled: false
        },
        {
          name: "\u534A\u5E74\u5185",
          disabled: false
        },
        {
          name: "\u534A\u5E74\u4EE5\u4E0A",
          disabled: false
        }
      ],
      isVisits: [
        {
          name: "\u672A\u5C31\u8BCA",
          disabled: false
        },
        {
          name: "\u5C31\u8BCA\u8FC7",
          disabled: false
        }
      ],
      title: "",
      isVisit: "\u5C31\u8BCA\u8FC7",
      duration: "\u4E00\u5468\u5185",
      inquiryType: null,
      orderType: null,
      doctorId: null,
      fileList1: []
    };
  },
  onLoad(options) {
    if (!this.$isEmpty(options.companyId)) {
      this.companyId = options.companyId;
    }
    if (!this.$isEmpty(options.companyUserId)) {
      this.companyUserId = options.companyUserId;
    }
    this.inquiryType = options.inquiryType;
    this.orderType = options.orderType;
    this.doctorId = options.doctorId;
    console.log(this.inquiryType);
    console.log(this.orderType);
    console.log(this.doctorId);
    this.confirm();
  },
  onShow() {
    var that = this;
    common_vendor.index.$on("refreshOrderPatient", (res) => {
      that.patient = res;
    });
  },
  methods: {
    submitOrder() {
      if (this.patient == null) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u5C31\u8BCA\u4EBA"
        });
        return;
      }
      if (this.isVisit == "\u672A\u5C31\u8BCA") {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u4EC5\u652F\u6301\u590D\u8BCA"
        });
        return;
      }
      var images = [];
      this.fileList1.forEach(function(element) {
        images.push(element.url);
      });
      var data = {
        companyId: this.companyId,
        companyUserId: this.companyUserId,
        orderKey: this.orderKey,
        patientId: this.patient.patientId,
        title: this.title,
        isVisit: this.isVisit,
        duration: this.duration,
        inquiryType: this.inquiryType,
        orderType: this.orderType,
        doctorId: this.doctorId,
        reportImages: images.toString()
      };
      common_vendor.index.showLoading({
        title: "\u6B63\u5728\u5904\u7406\u4E2D..."
      });
      api_inquiryOrder.create(data).then((res) => {
        if (res.code == 200) {
          var temps = ["YyaBF62vH1GPKY0tume8C2C5UETxcKrVsaTKdBW5eok"];
          common_vendor.index.requestSubscribeMessage({
            tmplIds: temps,
            success(e) {
              setTimeout(function() {
                common_vendor.index.redirectTo({
                  url: "./inquiryPay?orderId=" + res.order.orderId
                });
              }, 200);
            },
            fail(e) {
              setTimeout(function() {
                common_vendor.index.redirectTo({
                  url: "./inquiryPay?orderId=" + res.order.orderId
                });
              }, 200);
            }
          });
          return;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    },
    confirm() {
      let data = {};
      api_inquiryOrder.confirm(data).then((res) => {
        if (res.code == 200) {
          this.orderKey = res.orderKey;
        }
      }, (rej) => {
      });
    },
    addPatient() {
      common_vendor.index.navigateTo({
        url: "/pages_user/patient"
      });
    },
    deletePic(event) {
      this[`fileList${event.name}`].splice(event.index, 1);
    },
    async afterRead(event) {
      let lists = [].concat(event.file);
      let fileListLen = this[`fileList${event.name}`].length;
      lists.map((item) => {
        this[`fileList${event.name}`].push(__spreadProps(__spreadValues({}, item), {
          status: "uploading",
          message: "\u4E0A\u4F20\u4E2D"
        }));
      });
      for (let i = 0; i < lists.length; i++) {
        const result = await this.uploadFilePromise(lists[i].url);
        let item = this[`fileList${event.name}`][fileListLen];
        this[`fileList${event.name}`].splice(fileListLen, 1, Object.assign(item, {
          status: "success",
          message: "",
          url: result
        }));
        fileListLen++;
      }
    },
    uploadFilePromise(url) {
      return new Promise((resolve, reject) => {
        common_vendor.index.uploadFile({
          url: common_vendor.index.getStorageSync("requestPath") + "/app/common/uploadOSS",
          filePath: url,
          name: "file",
          formData: {
            user: "test"
          },
          success: (res) => {
            setTimeout(() => {
              console.log(JSON.parse(res.data).url);
              resolve(JSON.parse(res.data).url);
            }, 1e3);
          }
        });
      });
    }
  }
};
if (!Array) {
  const _easycom_u_alert2 = common_vendor.resolveComponent("u-alert");
  const _easycom_u__textarea2 = common_vendor.resolveComponent("u--textarea");
  const _easycom_u_radio2 = common_vendor.resolveComponent("u-radio");
  const _easycom_u_radio_group2 = common_vendor.resolveComponent("u-radio-group");
  const _easycom_u_upload2 = common_vendor.resolveComponent("u-upload");
  (_easycom_u_alert2 + _easycom_u__textarea2 + _easycom_u_radio2 + _easycom_u_radio_group2 + _easycom_u_upload2)();
}
const _easycom_u_alert = () => "../uni_modules/uview-plus/components/u-alert/u-alert.js";
const _easycom_u__textarea = () => "../uni_modules/uview-plus/components/u--textarea/u--textarea.js";
const _easycom_u_radio = () => "../uni_modules/uview-plus/components/u-radio/u-radio.js";
const _easycom_u_radio_group = () => "../uni_modules/uview-plus/components/u-radio-group/u-radio-group.js";
const _easycom_u_upload = () => "../uni_modules/uview-plus/components/u-upload/u-upload.js";
if (!Math) {
  (_easycom_u_alert + _easycom_u__textarea + _easycom_u_radio + _easycom_u_radio_group + _easycom_u_upload)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.p({
      fontSize: "16",
      description: "\u5C0A\u656C\u7684\u7528\u6237\uFF0C\u60A8\u597D!\r\n			\u4E3A\u4E86\u60A8\u7684\u5065\u5EB7\uFF0C\u8BF7\u8BA4\u771F\u586B\u5199\u4EE5\u4E0B\u5185\u5BB9\uFF0C\u4EE5\u4FBF\u66F4\u597D\u5730\u4E3A\u60A8\u63D0\u4F9B\u54A8\u8BE2\u5EFA\u8BAE"
    }),
    b: $data.patient == null
  }, $data.patient == null ? {
    c: common_vendor.o(($event) => $options.addPatient())
  } : {}, {
    d: $data.patient != null
  }, $data.patient != null ? common_vendor.e({
    e: common_vendor.t($data.patient.patientName),
    f: $data.patient.sex == 1
  }, $data.patient.sex == 1 ? {} : {}, {
    g: $data.patient.sex == 2
  }, $data.patient.sex == 2 ? {} : {}, {
    h: common_vendor.t(_ctx.$getAge($data.patient.birthday)),
    i: common_vendor.t(_ctx.$parseIdCard($data.patient.idCard)),
    j: common_vendor.o(($event) => $options.addPatient())
  }) : {}, {
    k: common_vendor.o(($event) => $data.title = $event),
    l: common_vendor.p({
      maxlength: "500",
      placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9",
      count: true,
      modelValue: $data.title
    }),
    m: common_vendor.f($data.durations, (item, index, i0) => {
      return {
        a: index,
        b: "89f5311c-3-" + i0 + ",89f5311c-2",
        c: common_vendor.p({
          customStyle: {
            marginRight: "5px"
          },
          label: item.name,
          name: item.name,
          activeColor: "#C39A58"
        })
      };
    }),
    n: common_vendor.o(($event) => $data.duration = $event),
    o: common_vendor.p({
      iconPlacement: "left",
      modelValue: $data.duration
    }),
    p: common_vendor.f($data.isVisits, (item, index, i0) => {
      return {
        a: index,
        b: "89f5311c-5-" + i0 + ",89f5311c-4",
        c: common_vendor.p({
          customStyle: {
            marginRight: "5px"
          },
          label: item.name,
          name: item.name,
          activeColor: "#C39A58"
        })
      };
    }),
    q: common_vendor.o(($event) => $data.isVisit = $event),
    r: common_vendor.p({
      iconPlacement: "left",
      modelValue: $data.isVisit
    }),
    s: common_vendor.o($options.afterRead),
    t: common_vendor.o($options.deletePic),
    v: common_vendor.p({
      fileList: $data.fileList1,
      name: "1",
      maxCount: 5
    }),
    w: common_vendor.o(($event) => $options.submitOrder())
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-89f5311c"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/inquiryForm3.vue"]]);
wx.createPage(MiniProgramPage);
