"use strict";
var common_vendor = require("../common/vendor.js");
var api_packageOrder = require("../api/packageOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      orderId: null,
      order: {},
      package: null,
      items: []
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
    this.getPackageOrderById();
  },
  onShow() {
  },
  methods: {
    cancelOrder() {
      var that = this;
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u8BA4\u53D6\u6D88\u8BA2\u5355\u5417?",
        showCancel: true,
        cancelText: "\u53D6\u6D88",
        confirmText: "\u786E\u5B9A",
        success: (res) => {
          if (res.confirm) {
            var data = { orderId: that.orderId };
            api_packageOrder.cancelOrder(data).then((res2) => {
              if (res2.code == 200) {
                common_vendor.index.$emit("refreshPackageOrder");
                that.getPackageOrderById();
                common_vendor.index.showToast({
                  icon: "success",
                  title: "\u64CD\u4F5C\u6210\u529F"
                });
              } else {
                common_vendor.index.showToast({
                  icon: "none",
                  title: res2.msg
                });
              }
            }, (rej) => {
            });
          }
        }
      });
    },
    getPackageOrderById() {
      var data = { orderId: this.orderId };
      api_packageOrder.getPackageOrderById(data).then((res) => {
        if (res.code == 200) {
          this.order = res.order;
          this.package = JSON.parse(this.order.packageJson);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    pay() {
      common_vendor.index.navigateTo({
        url: "/pages_order/packageOrderPay?orderId=" + this.order.orderId
      });
    },
    back() {
      let pages = getCurrentPages();
      console.log(pages.length);
      if (pages.length > 1) {
        common_vendor.index.navigateBack();
      } else {
        common_vendor.index.reLaunch({
          url: "/pages/common/launch"
        });
      }
    },
    copyOrderSn(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.order.status == 1
  }, $data.order.status == 1 ? {} : {}, {
    b: $data.order.status == 2
  }, $data.order.status == 2 ? {} : {}, {
    c: $data.order.status == 3
  }, $data.order.status == 3 ? {} : {}, {
    d: $data.order.status == -1
  }, $data.order.status == -1 ? {} : {}, {
    e: $data.order.status == -2
  }, $data.order.status == -2 ? {} : {}, {
    f: $data.package.imgUrl,
    g: common_vendor.t($data.package.packageName),
    h: common_vendor.t($data.package.cycle),
    i: common_vendor.t($data.package.duration),
    j: common_vendor.t($data.order.orderSn),
    k: common_vendor.o(($event) => $options.copyOrderSn($data.order.orderSn)),
    l: common_vendor.t($data.order.createTime),
    m: $data.order.payType == 1
  }, $data.order.payType == 1 ? {} : {}, {
    n: $data.order.payType == 2
  }, $data.order.payType == 2 ? {} : {}, {
    o: $data.order.payType == 3
  }, $data.order.payType == 3 ? {} : {}, {
    p: $data.order.payPrice != null
  }, $data.order.payPrice != null ? {
    q: common_vendor.t($data.order.payPrice.toFixed(2))
  } : {}, {
    r: $data.order.payMoney != null
  }, $data.order.payMoney != null ? {
    s: common_vendor.t($data.order.payMoney.toFixed(2))
  } : {}, {
    t: $data.order.discountMoney != null
  }, $data.order.discountMoney != null ? {
    v: common_vendor.t($data.order.discountMoney.toFixed(2))
  } : {}, {
    w: $data.order.payRemain != null
  }, $data.order.payRemain != null ? {
    x: common_vendor.t($data.order.payRemain.toFixed(2))
  } : {}, {
    y: $data.order.payDelivery != null
  }, $data.order.payDelivery != null ? {
    z: common_vendor.t($data.order.payDelivery.toFixed(2))
  } : {}, {
    A: common_vendor.t($data.order.payTime),
    B: $data.order.status == 1
  }, $data.order.status == 1 ? {
    C: common_vendor.o(($event) => $options.cancelOrder())
  } : {}, {
    D: $data.order.status == 1
  }, $data.order.status == 1 ? {
    E: common_vendor.o(($event) => $options.pay())
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/packageOrderDetails.vue"]]);
wx.createPage(MiniProgramPage);
