"use strict";
var common_vendor = require("../common/vendor.js");
var api_packageOrder = require("../api/packageOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight,
      orderId: null,
      order: null
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
  },
  onShow() {
    this.getPackageOrderById();
  },
  methods: {
    leftClick() {
      common_vendor.index.showToast({
        title: "\u8BF7\u5E2E\u597D\u53CB\u652F\u4ED8",
        icon: "none"
      });
    },
    copyTest(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    },
    getPackageOrderById() {
      var data = { orderId: this.orderId };
      var that = this;
      common_vendor.index.showLoading();
      api_packageOrder.getSharePackageOrderById(data).then((res) => {
        if (res.code == 200) {
          common_vendor.index.hideLoading();
          that.order = res.order;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    },
    payOrder() {
      var data = {
        orderId: this.orderId
      };
      var that = this;
      common_vendor.index.showLoading();
      api_packageOrder.payment(data).then((res) => {
        if (res.code == 200) {
          if (res.isPay == 0) {
            if (res.type == "tz") {
              common_vendor.index.setStorageSync("ztPayUrl", res.data.body.url);
              common_vendor.index.navigateTo({
                url: "/pages_order/tzPay"
              });
            }
            if (res.type == "yb") {
              var payData = JSON.parse(res.data.pay_info);
              console.log(payData);
              common_vendor.index.requestPayment({
                provider: "wxpay",
                timeStamp: payData.timeStamp,
                nonceStr: payData.nonceStr,
                package: payData.package,
                signType: payData.signType,
                paySign: payData.paySign,
                success: function(res2) {
                  console.log(that.order.orderId);
                  common_vendor.index.hideLoading();
                  common_vendor.index.redirectTo({
                    url: "./packageOrderPaySuccess?orderId=" + that.order.orderId
                  });
                },
                fail: function(err) {
                  common_vendor.index.showToast({
                    icon: "none",
                    title: "fail:" + JSON.stringify(err)
                  });
                  common_vendor.index.hideLoading();
                }
              });
            } else if (res.type == "wx") {
              common_vendor.index.requestPayment({
                provider: "wxpay",
                timeStamp: res.data.timeStamp,
                nonceStr: res.data.nonceStr,
                package: res.data.packageValue,
                signType: res.data.signType,
                paySign: res.data.paySign,
                success: function(res2) {
                  console.log(that.order.orderId);
                  common_vendor.index.hideLoading();
                  common_vendor.index.redirectTo({
                    url: "./packageOrderPaySuccess?orderId=" + that.order.orderId
                  });
                },
                fail: function(err) {
                  common_vendor.index.showToast({
                    icon: "none",
                    title: "fail:" + JSON.stringify(err)
                  });
                  common_vendor.index.hideLoading();
                }
              });
            }
          } else {
            common_vendor.index.hideLoading();
            common_vendor.index.redirectTo({
              url: "./packageOrderPaySuccess?orderId=" + that.order.orderId
            });
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    }
  }
};
if (!Array) {
  const _easycom_u_navbar2 = common_vendor.resolveComponent("u-navbar");
  _easycom_u_navbar2();
}
const _easycom_u_navbar = () => "../uni_modules/uview-plus/components/u-navbar/u-navbar.js";
if (!Math) {
  _easycom_u_navbar();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o($options.leftClick),
    b: common_vendor.p({
      title: "\u4EB2\u53CB\u4EE3\u4ED8"
    }),
    c: $data.statusBarHeight,
    d: $data.order.payMoney != null
  }, $data.order.payMoney != null ? {
    e: common_vendor.t($data.order.payMoney.toFixed(2))
  } : {}, {
    f: common_vendor.t($data.order.orderSn),
    g: common_vendor.o(($event) => $options.copyTest($data.order.orderSn)),
    h: common_vendor.t($data.order.createTime),
    i: common_vendor.o(($event) => $options.payOrder())
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/packageOtherPayment.vue"]]);
wx.createPage(MiniProgramPage);
