"use strict";
var common_vendor = require("../common/vendor.js");
var api_user = require("../api/user.js");
var api_storeOrder = require("../api/storeOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      addressId: null,
      wxPay: true,
      address: null,
      orderId: null,
      order: null,
      items: null,
      couponText: "\u8BF7\u9009\u62E9\u4F18\u60E0\u5238",
      userCouponId: 0,
      coupons: [],
      couponShow: false,
      payMoney: 0,
      discountMoney: 0
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
    var that = this;
    common_vendor.index.$on("updateAddress", (e) => {
      that.addressId = e.addressId;
      that.address = e;
      that.address.address = e.province + e.city + e.district + e.detail;
    });
  },
  onShow() {
    this.getStoreOrderById();
    this.getMyEnableCouponList();
  },
  methods: {
    couponSelect(item) {
      this.couponShow = false;
      this.userCouponId = item.id;
      console.log(item);
      this.couponText = item.price + "\u5143\u4F18\u60E0\u5238";
      this.compute();
    },
    open() {
    },
    close() {
      this.couponShow = false;
    },
    openCoupon() {
      this.couponShow = true;
    },
    delCoupon() {
      this.userCouponId = 0;
      this.couponText = "\u8BF7\u9009\u62E9\u4F18\u60E0\u5238";
      this.compute();
    },
    compute() {
      var data = {
        orderId: this.orderId,
        userCouponId: this.userCouponId
      };
      console.log(data);
      api_storeOrder.compute(data).then((res) => {
        if (res.code == 200) {
          this.payMoney = res.data.payMoney;
          this.discountMoney = res.data.discountMoney;
        } else {
          this.userCouponId = 0;
          this.couponText = "\u8BF7\u9009\u62E9\u4F18\u60E0\u5238";
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (err) => {
      });
    },
    getMyEnableCouponList() {
      var data = { couponType: 2 };
      api_user.getMyEnableCouponList(data).then((res) => {
        if (res.code == 200) {
          this.coupons = res.data;
        }
      }, (err) => {
      });
    },
    getStoreOrderById() {
      var data = { orderId: this.orderId };
      console.log(data);
      api_storeOrder.getStoreOrderById(data).then((res) => {
        if (res.code == 200) {
          this.order = res.order;
          this.items = res.items;
          if (this.order.userName != null) {
            this.address = {
              realName: this.order.userName,
              phone: this.order.userPhone,
              address: this.order.userAddress
            };
          }
          this.compute();
        }
      }, (rej) => {
      });
    },
    openAddress() {
      common_vendor.index.navigateTo({
        url: "/pages_user/address"
      });
    },
    payOrder() {
      var data = {
        userCouponId: this.userCouponId,
        addressId: this.addressId,
        remark: this.order.remark,
        orderId: this.order.orderId
      };
      var that = this;
      common_vendor.index.showLoading();
      api_storeOrder.pay(data).then((res) => {
        if (res.code == 200) {
          common_vendor.index.redirectTo({
            url: "/pages_order/storeOrderPayment?orderId=" + that.order.orderId
          });
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    }
  }
};
if (!Array) {
  const _easycom_u_popup2 = common_vendor.resolveComponent("u-popup");
  _easycom_u_popup2();
}
const _easycom_u_popup = () => "../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  _easycom_u_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.address == null
  }, $data.address == null ? {
    b: common_vendor.o(($event) => $options.openAddress())
  } : {}, {
    c: $data.address != null
  }, $data.address != null ? common_vendor.e({
    d: common_vendor.t($data.address.realName),
    e: $data.address.phone != null
  }, $data.address.phone != null ? {
    f: common_vendor.t($data.address.phone)
  } : {}, {
    g: common_vendor.t($data.address.address),
    h: common_vendor.o(($event) => $options.openAddress())
  }) : {}, {
    i: common_vendor.f($data.items, (item, index, i0) => {
      return common_vendor.e({
        a: JSON.parse(item.jsonInfo).image == "" ? "/static/images/drug.svg" : JSON.parse(item.jsonInfo).image,
        b: common_vendor.t(JSON.parse(item.jsonInfo).productName),
        c: common_vendor.t(JSON.parse(item.jsonInfo).sku)
      }, $data.order.ordetType == 1 ? {
        d: common_vendor.t(item.num)
      } : {}, {
        e: index
      });
    }),
    j: $data.order.ordetType == 1,
    k: $data.order != null
  }, $data.order != null ? {
    l: common_vendor.t($data.order.totalPrice.toFixed(2))
  } : {}, {
    m: $data.order != null
  }, $data.order != null ? {
    n: common_vendor.t($data.order.payPrice.toFixed(2))
  } : {}, {
    o: $data.order != null && ($data.order.userCouponId == null || $data.order.userCouponId == 0)
  }, $data.order != null && ($data.order.userCouponId == null || $data.order.userCouponId == 0) ? common_vendor.e({
    p: common_vendor.t($data.couponText),
    q: $data.userCouponId != 0
  }, $data.userCouponId != 0 ? {
    r: common_vendor.o(($event) => $options.delCoupon())
  } : {}, {
    s: common_vendor.o(($event) => $options.openCoupon())
  }) : {}, {
    t: common_vendor.t($data.discountMoney.toFixed(2)),
    v: common_vendor.t($data.payMoney.toFixed(2)),
    w: $data.wxPay,
    x: $data.order != null
  }, $data.order != null ? {
    y: $data.order.remark,
    z: common_vendor.o(($event) => $data.order.remark = $event.detail.value)
  } : {}, {
    A: $data.coupons.length > 0
  }, $data.coupons.length > 0 ? {
    B: common_vendor.f($data.coupons, (item, k0, i0) => {
      return common_vendor.e({
        a: item.status == 0
      }, item.status == 0 ? {} : {}, {
        b: item.status != 0
      }, item.status != 0 ? {} : {}, {
        c: common_vendor.t(item.price.toFixed(2)),
        d: common_vendor.t(item.minPrice.toFixed(2)),
        e: common_vendor.t(item.title),
        f: item.status == 0 || item.status == 2
      }, item.status == 0 || item.status == 2 ? {
        g: common_vendor.t(item.limitTime)
      } : {}, {
        h: item.status == 1
      }, item.status == 1 ? {
        i: common_vendor.t(item.useTime)
      } : {}, {
        j: item.status == 1
      }, item.status == 1 ? {} : {}, {
        k: item.status == 2
      }, item.status == 2 ? {} : {}, {
        l: item.status == 0
      }, item.status == 0 ? {} : {}, {
        m: common_vendor.o(($event) => $options.couponSelect(item))
      });
    })
  } : {}, {
    C: $data.coupons.length == 0
  }, $data.coupons.length == 0 ? {} : {}, {
    D: common_vendor.o($options.close),
    E: common_vendor.o($options.open),
    F: common_vendor.p({
      closeable: true,
      show: $data.couponShow,
      round: 10,
      mode: "bottom"
    }),
    G: $data.order != null
  }, $data.order != null ? {
    H: common_vendor.t($data.payMoney.toFixed(2)),
    I: common_vendor.o(($event) => $options.payOrder())
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderPay.vue"]]);
_sfc_main.__runtimeHooks = 2;
wx.createPage(MiniProgramPage);
