"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_storeAfterSales = require("../api/storeAfterSales.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      statusOptions: [],
      sales: {},
      items: [],
      order: null,
      salesId: null,
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight
    };
  },
  onLoad(option) {
    this.id = option.id;
  },
  onShow() {
    this.getStoreAfterSalesById();
    this.getDictByKey("sys_after_sales_status");
  },
  methods: {
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_after_sales_status") {
            this.statusOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    addDeliverySn() {
      common_vendor.index.navigateTo({
        url: "./storeOrderRefundAddDelivery?id=" + this.id
      });
    },
    revoke() {
      var data = { id: this.id };
      api_storeAfterSales.revoke(data).then((res) => {
        if (res.code == 200) {
          common_vendor.index.showToast({
            icon: "success",
            title: "\u64CD\u4F5C\u6210\u529F"
          });
          setTimeout(function() {
            common_vendor.index.$emit("refreshAfterSales");
            common_vendor.index.navigateBack({
              delta: 1
            });
          }, 500);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      });
    },
    getStoreAfterSalesById() {
      var data = {
        id: this.id
      };
      api_storeAfterSales.getStoreAfterSalesById(data).then((res) => {
        if (res.code == 200) {
          this.sales = res.sales;
          this.items = res.items;
          this.order = res.order;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      });
    },
    showLogs(status) {
      common_vendor.index.navigateTo({
        url: "./refundOrderLogs?orderStatus=" + status
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.sales.salesStatus == 0
  }, $data.sales.salesStatus == 0 ? {} : {}, {
    b: $data.sales.salesStatus == 1
  }, $data.sales.salesStatus == 1 ? {} : {}, {
    c: $data.sales.salesStatus == 2
  }, $data.sales.salesStatus == 2 ? {} : {}, {
    d: $data.sales.salesStatus == 3
  }, $data.sales.salesStatus == 3 ? {} : {}, {
    e: $data.sales.refundAmount != null
  }, $data.sales.refundAmount != null ? {
    f: common_vendor.t($data.sales.refundAmount.toFixed(2))
  } : {}, {
    g: common_vendor.t(_ctx.$getDictLabelName($data.statusOptions, $data.sales.salesStatus)),
    h: $data.sales.status >= 1 && $data.sales.refundType == 1
  }, $data.sales.status >= 1 && $data.sales.refundType == 1 ? {
    i: common_vendor.t($data.sales.consignee),
    j: common_vendor.t($data.sales.address),
    k: common_vendor.t($data.sales.phoneNumber)
  } : {}, {
    l: $data.sales.salesStatus == 0
  }, $data.sales.salesStatus == 0 ? common_vendor.e({
    m: $data.sales.status == 1
  }, $data.sales.status == 1 ? {
    n: common_vendor.o(($event) => $options.addDeliverySn())
  } : {}, {
    o: $data.sales.status == 0 || $data.sales.status == 1
  }, $data.sales.status == 0 || $data.sales.status == 1 ? {
    p: common_vendor.o(($event) => $options.revoke())
  } : {}) : {}, {
    q: $data.sales.status == 0
  }, $data.sales.status == 0 ? {} : {}, {
    r: $data.sales.status == 1
  }, $data.sales.status == 1 ? {} : {}, {
    s: $data.sales.status == 2
  }, $data.sales.status == 2 ? {} : {}, {
    t: $data.sales.status == 3
  }, $data.sales.status == 3 ? {} : {}, {
    v: $data.sales.status == 4
  }, $data.sales.status == 4 ? {} : {}, {
    w: $data.sales != null
  }, $data.sales != null ? {
    x: common_vendor.f($data.items, (item, index, i0) => {
      return {
        a: JSON.parse(item.jsonInfo).image == "" ? "/static/images/drug.svg" : JSON.parse(item.jsonInfo).image,
        b: common_vendor.t(JSON.parse(item.jsonInfo).productName),
        c: common_vendor.t(JSON.parse(item.jsonInfo).sku),
        d: common_vendor.t(JSON.parse(item.jsonInfo).price.toFixed(2)),
        e: common_vendor.t(JSON.parse(item.jsonInfo).num),
        f: index
      };
    })
  } : {}, {
    y: common_vendor.t($data.sales.reasons),
    z: common_vendor.t($data.sales.explains),
    A: $data.sales.refundAmount != null
  }, $data.sales.refundAmount != null ? {
    B: common_vendor.t($data.sales.refundAmount.toFixed(2))
  } : {}, {
    C: common_vendor.t($data.order.orderCode),
    D: common_vendor.t($data.sales.createTime)
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderRefundDetails.vue"]]);
wx.createPage(MiniProgramPage);
