"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_storeAfterSales = require("../api/storeAfterSales.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      orderId: null,
      order: null,
      orderCode: null,
      items: [],
      type: null,
      reasonsOptions: [],
      reasons: "\u8BF7\u9009\u62E9",
      explains: "",
      refundAmount: 0
    };
  },
  onLoad(option) {
    this.type = option.type;
    this.orderId = option.orderId;
    this.getStoreOrderItems();
    this.getDictByKey("sys_sales_reasons");
  },
  methods: {
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_sales_reasons") {
            this.reasonsOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    getStoreOrderItems() {
      var data = { orderId: this.orderId };
      api_storeAfterSales.getStoreOrderItems(data).then((res) => {
        if (res.code == 200) {
          this.order = res.order;
          this.items = res.items;
          this.refundAmount = this.order.payMoney.toFixed(2);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    handleReasons(e) {
      console.log(e.detail.value);
      this.reasons = this.reasonsOptions[e.detail.value].dictLabel;
    },
    submit() {
      if (this.reasons == "\u8BF7\u9009\u62E9") {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u539F\u56E0"
        });
        return;
      }
      if (this.refundAmount < 0) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u8F93\u5165\u9000\u6B3E\u91D1\u989D"
        });
        return;
      }
      var productIds = this.items.map((item2) => item2.productId);
      var products = [];
      for (var i = 0; i < productIds.length; i++) {
        var item = { productId: productIds[i] };
        products.push(item);
      }
      var data = {
        refundAmount: this.refundAmount,
        orderId: this.orderId,
        refundType: this.type,
        reasons: this.reasons,
        explains: this.explains,
        productList: products
      };
      api_storeAfterSales.applyAfterSales(data).then((res) => {
        if (res.code == 200) {
          common_vendor.index.showToast({
            icon: "success",
            title: "\u63D0\u4EA4\u6210\u529F"
          });
          setTimeout(function() {
            common_vendor.index.$emit("refreshOrder");
            common_vendor.index.navigateBack({
              delta: 1
            });
          }, 500);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u__textarea2 = common_vendor.resolveComponent("u--textarea");
  _easycom_u__textarea2();
}
const _easycom_u__textarea = () => "../uni_modules/uview-plus/components/u--textarea/u--textarea.js";
if (!Math) {
  _easycom_u__textarea();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.order != null
  }, $data.order != null ? {
    b: common_vendor.f($data.items, (item, index, i0) => {
      return {
        a: JSON.parse(item.jsonInfo).image == "" ? "/static/images/drug.svg" : JSON.parse(item.jsonInfo).image,
        b: common_vendor.t(JSON.parse(item.jsonInfo).productName),
        c: common_vendor.t(JSON.parse(item.jsonInfo).sku),
        d: common_vendor.t(JSON.parse(item.jsonInfo).price.toFixed(2)),
        e: common_vendor.t(JSON.parse(item.jsonInfo).num),
        f: index
      };
    })
  } : {}, {
    c: $data.refundAmount,
    d: common_vendor.o(($event) => $data.refundAmount = $event.detail.value),
    e: common_vendor.t($data.reasons),
    f: common_vendor.o((...args) => $options.handleReasons && $options.handleReasons(...args)),
    g: $data.reasons,
    h: $data.reasonsOptions,
    i: common_vendor.o(($event) => $data.explains = $event),
    j: common_vendor.p({
      height: 100,
      placeholder: "\u8BF7\u63CF\u8FF0\u7533\u8BF7\u552E\u540E\u670D\u52A1\u7684\u5177\u4F53\u539F\u56E0",
      count: 100,
      modelValue: $data.explains
    }),
    k: common_vendor.o(($event) => $options.submit())
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderRefundSubmit.vue"]]);
wx.createPage(MiniProgramPage);
