"use strict";
var common_vendor = require("../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      payData: null,
      payExtraData: null
    };
  },
  onLoad(options) {
    console.log(options);
    this.payData = JSON.parse(decodeURIComponent(options.openid));
    var json = common_vendor.index.getStorageSync("payExtraData");
    this.payExtraData = JSON.parse(json);
    console.log(this.payExtraData);
    console.log(this.payData);
    this.payOrder();
  },
  methods: {
    payOrder() {
      var that = this;
      common_vendor.index.showLoading({
        title: "\u5904\u7406\u4E2D..."
      });
      common_vendor.index.requestPayment({
        provider: "wxpay",
        timeStamp: that.payData.timeStamp,
        nonceStr: that.payData.nonceStr,
        package: that.payData.package,
        signType: that.payData.signType,
        paySign: that.payData.paySign,
        success: function(res) {
          common_vendor.index.hideLoading();
          if (that.payExtraData.orderType == 1) {
            common_vendor.index.redirectTo({
              url: "/pages_order/inquiryOrderPaySuccess?orderId=" + that.payExtraData.orderId
            });
          } else if (that.payExtraData.orderType == 2) {
            common_vendor.index.redirectTo({
              url: "/pages_order/storeOrderPaySuccess?orderId=" + that.payExtraData.orderId
            });
          } else if (that.payExtraData.orderType == 3) {
            common_vendor.index.redirectTo({
              url: "/pages_order/packageOrderPaySuccess?orderId=" + that.payExtraData.orderId
            });
          } else if (that.payExtraData.orderType == 4) {
            common_vendor.index.redirectTo({
              url: "/pages_order/courseOrderPaySuccess?orderId=" + that.payExtraData.orderId
            });
          } else if (that.payExtraData.orderType == 5) {
            common_vendor.index.redirectTo({
              url: "/pages_order/userVipOrderOrderPaySuccess?orderId=" + that.payExtraData.orderId
            });
          }
        },
        fail: function(err) {
          common_vendor.index.showToast({
            icon: "none",
            title: "fail:" + JSON.stringify(err)
          });
          common_vendor.index.hideLoading();
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o(($event) => $options.payOrder())
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-3b2a14e6"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/tzWeixinPay.vue"]]);
wx.createPage(MiniProgramPage);
