"use strict";
var common_vendor = require("../common/vendor.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
var api_drugReport = require("../api/drugReport.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      tabs: [
        {
          id: 0,
          name: "\u5168\u90E8"
        },
        {
          id: 1,
          name: "\u5F85\u8BC4\u4EF7"
        },
        {
          id: 2,
          name: "\u5DF2\u8BC4\u4EF7"
        }
      ],
      status: 0,
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad() {
    var that = this;
    common_vendor.index.$on("refreshDrugReportList", () => {
      that.mescroll.resetUpScroll();
    });
  },
  onShow() {
  },
  methods: {
    doPing(item) {
      common_vendor.index.navigateTo({
        url: "./drugReportPing?reportId=" + item.reportId
      });
    },
    showDetails(item) {
      common_vendor.index.navigateTo({
        url: "./drugReportDetails?reportId=" + item.reportId
      });
    },
    statusChange(item) {
      this.status = item.id;
      console.log(item);
      this.mescroll.resetUpScroll();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback() {
      this.mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        pageNum: page.num,
        pageSize: page.size
      };
      if (this.status != 0) {
        data.status = this.status;
      }
      api_drugReport.getDrugReportList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.statusChange),
    b: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    c: common_vendor.f($data.dataList, (item, k0, i0) => {
      return common_vendor.e({
        a: item.avatar,
        b: common_vendor.t(item.doctorName),
        c: item.status == 1
      }, item.status == 1 ? {} : {}, {
        d: item.status == 2
      }, item.status == 2 ? {} : {}, {
        e: common_vendor.t(item.reportSummary),
        f: common_vendor.t(item.createTime),
        g: item.status == 1
      }, item.status == 1 ? {
        h: common_vendor.o(($event) => $options.doPing(item))
      } : {}, {
        i: common_vendor.o(($event) => $options.showDetails(item)),
        j: common_vendor.o(($event) => $options.navTo("./inquiryOrderDetails?orderId=" + item.orderId))
      });
    }),
    d: common_vendor.sr("mescrollRef", "a352cb46-1"),
    e: common_vendor.o($options.mescrollInit),
    f: common_vendor.o($options.downCallback),
    g: common_vendor.o($options.upCallback),
    h: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-a352cb46"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/drugReportList.vue"]]);
wx.createPage(MiniProgramPage);
