"use strict";
var common_vendor = require("../../common/vendor.js");
var api_user = require("../../api/user.js");
var api_healthRecords = require("../../api/healthRecords.js");
require("../../common/request.js");
const _sfc_main = {
  data() {
    return {
      show: false,
      baseUrl: common_vendor.index.getStorageSync("requestPath"),
      opacity: 1,
      hasRecord: true,
      user: {},
      fat: "",
      recordInfo: {},
      title: "\u8EAB\u9AD8",
      placeholder: "\u8BF7\u8F93\u5165\u8EAB\u9AD8",
      showClearIcon: false,
      inputValue: "",
      btnLoading: false,
      top: 0,
      defaultHeadimg: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/my_heads_icon.png",
      healthData: [{
        title: "\u8840\u7CD6",
        desc: "\u8840\u7CD6\u5065\u5EB7\u76D1\u6D4B",
        data: "",
        date: "",
        icon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/blood_sugar_icon.png"
      }],
      healthRecordsList: [{
        title: "\u75BE\u75C5\u53F2",
        type: "healthHistory",
        desc: "",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/jbs_icon.png"
      }, {
        title: "\u75C7\u72B6\u53F2",
        type: "symptomHistory",
        desc: "",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/zzs_icon.png"
      }, {
        title: "\u5BB6\u65CF\u53F2",
        type: "familyHistory",
        desc: "",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/jzs_icon.png"
      }, {
        title: "\u7528\u836F\u53F2",
        type: "drugHistory",
        desc: "",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/yys_icon.png"
      }, {
        title: "\u8FC7\u654F\u53F2",
        type: "allergyHistory",
        desc: "",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/gms_icon.png"
      }],
      livingHabits: [{
        title: "\u996E\u98DF",
        desc: "",
        type: "dietList",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/ys_icon.png"
      }, {
        title: "\u7761\u7720\u60C5\u51B5",
        desc: "",
        type: "sleepList",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/smqk_icon.png"
      }, {
        title: "\u8FD0\u52A8",
        desc: "",
        type: "sportList",
        bgicon: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/yd_icon.png"
      }]
    };
  },
  onLoad(option) {
    if (option.isShare != null) {
      this.companyId = option.companyId;
      this.companyUserId = option.companyUserId;
    } else {
      this.companyId = common_vendor.index.getStorageSync("companyId");
      this.companyUserId = common_vendor.index.getStorageSync("companyUserId");
    }
    this.baseUrl = common_vendor.index.getStorageSync("requestPath");
  },
  onShow() {
    this.user = {};
    this.$isLogin().then((res) => {
      if (res) {
        this.getUserInfo();
      }
    }, (rej) => {
    });
  },
  onShareAppMessage(res) {
    common_vendor.index.showShareMenu({
      withShareTicket: true
    });
    wx.updateShareMenu({
      isPrivateMessage: true,
      withShareTicket: true,
      success(res2) {
        console.log("updateShareMenu: ", res2);
      },
      fail() {
      }
    });
    return {
      title: "\u5065\u5EB7\u6863\u6848",
      imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png",
      path: "/pages_user/healthRecords/index?isShare=1&companyId=" + this.companyId + "&companyUserId=" + this.companyUserId
    };
  },
  methods: {
    editHealthRecordLife() {
      common_vendor.index.navigateTo({
        url: "/pages_user/healthRecords/add?formType=healthLife"
      });
    },
    getUserInfo() {
      api_user.getUserInfo().then((res) => {
        if (res.code == 200) {
          if (res.user != null) {
            this.user = res.user;
            this.defaultHeadimg = this.user.avatar;
            this.getMyRecord();
            this.getHealthDataList();
            this.getHealthLife();
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    },
    getImageUrl(url) {
      return new URL(url, typeof document === "undefined" ? new (require("url")).URL("file:" + __filename).href : document.currentScript && document.currentScript.src || new URL("pages_user/healthRecords/index.js", document.baseURI).href).href;
    },
    getBmi() {
      let fat = "";
      if (this.recordInfo && JSON.stringify(this.recordInfo) != "{}") {
        if (!this.$isEmpty(this.recordInfo.weight) && !this.$isEmpty(this.recordInfo.weight)) {
          this.recordInfo.bmi = Math.round(this.recordInfo.weight / Math.pow(this.recordInfo.height / 100, 2));
          if (this.recordInfo.bmi < 18.5) {
            fat = "\u504F\u7626";
          } else if (this.recordInfo.bmi < 24) {
            fat = "\u6B63\u5E38";
          } else if (this.recordInfo.bmi < 28) {
            fat = "\u8D85\u91CD";
          } else {
            fat = "\u80A5\u80D6";
          }
        }
      } else {
        this.recordInfo.bmi = "";
      }
      this.fat = fat;
    },
    getHealthLife() {
      const param = {
        userId: this.user.userId
      };
      api_healthRecords.HealthLife(param).then((res) => {
        if (res.code == 200 && res.data) {
          this.livingHabits[0].desc = res.data && res.data.eat ? this.resetData(JSON.parse(res.data.eat)) : "";
          this.livingHabits[1].desc = res.data && res.data.sleep ? this.resetData(JSON.parse(res.data.sleep)) : "";
          this.livingHabits[2].desc = res.data && res.data.sport ? this.resetData(JSON.parse(res.data.sport)) : "";
        }
      }, (rej) => {
      });
    },
    getMyRecord() {
      api_healthRecords.myRecord().then((res) => {
        if (res.code == 200) {
          if (res.data) {
            this.hasRecord = true;
            this.recordInfo = res.data;
            this.healthRecordsList[0].desc = res.data.healthHistory ? this.resetData(JSON.parse(res.data.healthHistory)) : "";
            this.healthRecordsList[1].desc = res.data.symptomHistory ? this.resetData(JSON.parse(res.data.symptomHistory)) : "";
            this.healthRecordsList[2].desc = res.data.familyHistory ? this.resetData(JSON.parse(res.data.familyHistory)) : "";
            this.healthRecordsList[3].desc = res.data.drugHistory ? this.resetData(JSON.parse(res.data.drugHistory)) : "";
            this.healthRecordsList[4].desc = res.data.allergyHistory ? this.resetData(JSON.parse(res.data.allergyHistory)) : "";
          } else {
            this.hasRecord = false;
            this.handelHealthRecord(1);
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
        this.getBmi();
      }, (rej) => {
      });
    },
    resetData(data) {
      let set = /* @__PURE__ */ new Set();
      data.forEach((item) => {
        item.question.forEach((it) => {
          if (item.value.includes(it.name)) {
            if (it.isWrite == 1 && it.writeVal) {
              const str = it.name + "(" + it.writeVal + ")";
              set.add(str);
            } else {
              set.add(it.name);
            }
          } else if (item.name == "\u5E73\u65F6\u5E94\u916C" && it.name === "\u6BCF\u5468\u591A\u5C11\u6B21") {
            if (it.writeVal) {
              const str = "\u6BCF\u5468" + it.writeVal + "\u6B21";
              set.add(str);
            }
          }
        });
      });
      return Array.from(set).join(",");
    },
    getHealthDataList() {
      const param = {
        pageNum: 1,
        pageSize: 10,
        userId: this.user.userId
      };
      api_healthRecords.HealthDataList(param).then((res) => {
        if (res.code == 200 && res.data && res.data.length > 0) {
          this.healthData[0].data = res.data[0].bloodSugar;
          this.healthData[0].date = res.data[0].creatTime;
        } else {
          this.healthData[0].data = "";
          this.healthData[0].date = "";
        }
      }, (rej) => {
      });
    },
    handelHealthRecord(type) {
      if (type == 1) {
        common_vendor.index.redirectTo({
          url: "./add"
        });
      } else {
        common_vendor.index.navigateTo({
          url: "./add"
        });
      }
    },
    handleEditHealth(item, type) {
      if (type == 2) {
        common_vendor.index.navigateTo({
          url: "./add?formType=" + item.type
        });
      } else {
        common_vendor.index.navigateTo({
          url: "./edit?id=" + this.recordInfo.id + "&formType=" + item.type
        });
      }
    },
    handleEdit(type) {
      if (type == "height") {
        this.title = "\u8EAB\u9AD8";
        this.placeholder = "\u8BF7\u8F93\u5165\u8EAB\u9AD8";
        this.inputValue = this.recordInfo.height || void 0;
      } else if (type == "weight") {
        this.title = "\u4F53\u91CD";
        this.placeholder = "\u8BF7\u8F93\u5165\u4F53\u91CD";
        this.inputValue = this.recordInfo.weight || void 0;
      }
      this.show = true;
    },
    close() {
      console.log(1);
      this.show = false;
    },
    handleSubmit() {
      if (this.title == "\u8EAB\u9AD8") {
        const reg = /^[1-9]\d*$/;
        if (!reg.test(this.inputValue)) {
          common_vendor.index.showToast({
            title: "\u8BF7\u8F93\u5165\u6B63\u786E\u7684\u8EAB\u9AD8",
            icon: "none"
          });
          return;
        }
      }
      if (this.title == "\u4F53\u91CD") {
        const reg = /^\d+(\.\d{1})?$/;
        if (!reg.test(this.inputValue) || this.inputValue == 0) {
          common_vendor.index.showToast({
            title: "\u8BF7\u8F93\u5165\u6B63\u786E\u7684\u4F53\u91CD",
            icon: "none"
          });
          return;
        }
      }
      const param = {
        id: Number(this.recordInfo.id || 0),
        weight: this.title == "\u4F53\u91CD" ? this.inputValue : void 0,
        height: this.title == "\u8EAB\u9AD8" ? this.inputValue : void 0
      };
      api_healthRecords.editRecord(param).then((res) => {
        this.btnLoading = false;
        if (res.code == 200) {
          this.recordInfo.weight = this.title == "\u4F53\u91CD" ? this.inputValue : this.recordInfo.weight;
          this.recordInfo.height = this.title == "\u8EAB\u9AD8" ? this.inputValue : this.recordInfo.height;
          this.getBmi();
          this.close();
        } else {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        }
      }, (rej) => {
      });
    },
    clearInput(event) {
      this.inputValue = event.detail.value;
      if (event.detail.value.length > 0) {
        this.showClearIcon = true;
      } else {
        this.showClearIcon = false;
      }
    },
    clearIcon() {
      this.inputValue = "";
      this.showClearIcon = false;
    }
  }
};
if (!Array) {
  const _easycom_u_popup2 = common_vendor.resolveComponent("u-popup");
  _easycom_u_popup2();
}
const _easycom_u_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  _easycom_u_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.baseUrl + "/images/healthRecords/jkda_top_bg.png",
    b: $data.defaultHeadimg,
    c: common_vendor.t($data.recordInfo.name || ""),
    d: common_vendor.t($data.recordInfo.sex == 1 ? "\u7537" : $data.recordInfo.sex == 2 ? "\u5973" : "\u672A\u77E5"),
    e: common_vendor.t($data.recordInfo.age || "--"),
    f: $data.baseUrl + "/images/healthRecords/edit_add_orange_icon.png",
    g: common_vendor.t($data.recordInfo.bmi || "--"),
    h: $data.recordInfo.bmi
  }, $data.recordInfo.bmi ? {
    i: common_vendor.t($data.fat)
  } : {}, {
    j: $data.baseUrl + "/images/healthRecords//BMI_icon.png",
    k: common_vendor.t($data.recordInfo.height || "--"),
    l: $data.baseUrl + "/images/healthRecords/services_edit_icon.png",
    m: common_vendor.o(($event) => $options.handleEdit("height")),
    n: common_vendor.t($data.recordInfo.weight || "--"),
    o: $data.baseUrl + "/images/healthRecords/services_edit_icon.png",
    p: common_vendor.o(($event) => $options.handleEdit("weight")),
    q: common_vendor.f($data.healthData, (item, index, i0) => {
      return {
        a: common_vendor.t(item.title),
        b: common_vendor.t(item.desc),
        c: item.icon,
        d: common_vendor.t(item.data || "--"),
        e: common_vendor.t(item.date && item.date.substring(5, 16)),
        f: index
      };
    }),
    r: common_vendor.f($data.healthRecordsList, (item, index, i0) => {
      return {
        a: item.bgicon,
        b: common_vendor.t(item.title),
        c: common_vendor.t(item.desc || "\u5C1A\u672A\u8BB0\u5F55"),
        d: index,
        e: common_vendor.o(($event) => $options.handleEditHealth(item, 1), index)
      };
    }),
    s: common_vendor.f($data.livingHabits, (item, index, i0) => {
      return {
        a: item.bgicon,
        b: common_vendor.t(item.title),
        c: common_vendor.t(item.desc || "\u5C1A\u672A\u8BB0\u5F55"),
        d: index,
        e: common_vendor.o(($event) => $options.handleEditHealth(item, 2), index)
      };
    }),
    t: common_vendor.t($data.title),
    v: $data.placeholder,
    w: $data.inputValue,
    x: common_vendor.o((...args) => $options.clearInput && $options.clearInput(...args)),
    y: $data.showClearIcon
  }, $data.showClearIcon ? {
    z: $data.baseUrl + "/images/healthRecords/input_close_icon.png",
    A: common_vendor.o((...args) => $options.clearIcon && $options.clearIcon(...args))
  } : {}, {
    B: common_vendor.t($data.title == "\u8EAB\u9AD8" ? "cm" : $data.title == "\u4F53\u91CD" ? "kg" : ""),
    C: common_vendor.o((...args) => $options.close && $options.close(...args)),
    D: $data.btnLoading,
    E: $data.btnLoading,
    F: common_vendor.o((...args) => $options.handleSubmit && $options.handleSubmit(...args)),
    G: common_vendor.o($options.close),
    H: common_vendor.p({
      show: $data.show
    }),
    I: common_vendor.o((...args) => $options.editHealthRecordLife && $options.editHealthRecordLife(...args))
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-b5057aa4"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/healthRecords/index.vue"]]);
_sfc_main.__runtimeHooks = 2;
wx.createPage(MiniProgramPage);
