"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
var api_integral = require("../api/integral.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      orderStatusOptions: [],
      searchKey: "",
      status: "0",
      tabs: [
        { name: "\u5168\u90E8", id: "0" },
        { name: "\u5F85\u53D1\u8D27", id: "1" },
        { name: "\u5F85\u6536\u8D27", id: "2" },
        { name: "\u5DF2\u5B8C\u6210", id: "3" },
        { name: "\u5DF2\u53D6\u6D88", id: "-1" }
      ],
      mescroll: null,
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad() {
    this.getDictByKey("sys_integral_order_status");
  },
  methods: {
    getDictByKey(key) {
      var data = { key };
      api_common.getDictByKey(data).then((res) => {
        if (res.code == 200) {
          if (key == "sys_integral_order_status") {
            this.orderStatusOptions = res.data;
          }
        }
      }, (err) => {
      });
    },
    tabChange(item) {
      this.status = item.id;
      this.mescroll.resetUpScroll();
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        keyword: this.searchKey,
        status: this.status,
        pageNum: page.num,
        pageSize: page.size
      };
      api_integral.getIntegralOrderList(data).then((res) => {
        if (res.code == 200) {
          res.data.list.forEach(function(value, index, array) {
            value.items = [];
            value.items.push(JSON.parse(value.itemJson));
          });
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "./integralOrderDetails?orderId=" + item.orderId
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.tabChange),
    b: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    c: common_vendor.f($data.dataList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.orderCode),
        b: item.status == 1
      }, item.status == 1 ? {
        c: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        d: item.status > 1
      }, item.status > 1 ? {
        e: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        f: item.status < 0
      }, item.status < 0 ? {
        g: common_vendor.t(_ctx.$getDictLabelName($data.orderStatusOptions, item.status))
      } : {}, {
        h: common_vendor.o(($event) => $options.showDetail(item)),
        i: common_vendor.f(item.items, (subItem, subIndex, i1) => {
          return {
            a: subItem.imgUrl == "" ? "/static/images/drug.svg" : subItem.imgUrl,
            b: common_vendor.t(subItem.goodsName),
            c: common_vendor.t(subItem.integral),
            d: common_vendor.o(($event) => $options.showDetail(item), subIndex),
            e: subIndex
          };
        }),
        j: common_vendor.t(item.integral),
        k: index
      });
    }),
    d: common_vendor.sr("mescrollRef", "37f5c965-1"),
    e: common_vendor.o($options.mescrollInit),
    f: common_vendor.o($options.downCallback),
    g: common_vendor.o($options.upCallback),
    h: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: _ctx.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-37f5c965"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/integralOrderList.vue"]]);
wx.createPage(MiniProgramPage);
